
# https://github.com/tensorflow/tflite-micro/blob/main/tensorflow/lite/micro/examples/micro_speech/no_1000ms_sample_data.cc
NO_INPUT_AUDIO = [ 
  5,     1,     -10,   -16,   -14,   -10,   -4,    -5,    -10,   -15,   -13,
    -17,   -22,   -21,   -23,   -25,   -22,   -26,   -28,   -31,   -28,   -25,
    -20,   -24,   -21,   -13,   -7,    -1,    -1,    3,     3,     4,     -4,
    -6,    -8,    -10,   -13,   -4,    -2,    5,     8,     11,    26,    28,
    34,    32,    34,    30,    21,    18,    15,    13,    8,     5,     14,
    13,    7,     8,     4,     -5,    -7,    -4,    -9,    -13,   -17,   -21,
    -16,   -14,   -12,   -12,   -14,   -11,   -9,    -2,    5,     -1,    2,
    0,     2,     1,     -3,    -13,   -14,   -16,   -11,   -10,   -9,    -13,
    -17,   -19,   -25,   -21,   -21,   -20,   -13,   -5,    -3,    0,     3,
    6,     5,     1,     0,     -1,    -7,    -10,   -11,   -9,    -6,    -7,
    -11,   -10,   -5,    -14,   -20,   -23,   -22,   -22,   -19,   -15,   -12,
    -6,    -5,    3,     13,    16,    17,    25,    26,    28,    34,    34,
    33,    34,    30,    21,    22,    18,    13,    20,    22,    24,    27,
    26,    23,    21,    18,    9,     5,     -2,    -7,    -8,    -10,   -8,
    -8,    -4,    2,     2,     -1,    -7,    -10,   -8,    -12,   -13,   -15,
    -9,    -5,    -4,    -3,    -6,    -11,   -11,   -18,   -16,   -13,   -10,
    -12,   -6,    0,     -2,    0,     -3,    -4,    -8,    -12,   -19,   -16,
    -17,   -19,   -23,   -30,   -33,   -36,   -38,   -39,   -40,   -36,   -37,
    -32,   -27,   -25,   -31,   -38,   -41,   -47,   -52,   -50,   -42,   -32,
    -16,   -7,    -3,    0,     -1,    -1,    -5,    -16,   -23,   -29,   -34,
    -33,   -27,   -17,   -11,   1,     4,     10,    18,    21,    24,    24,
    25,    30,    34,    30,    29,    26,    23,    20,    15,    14,    13,
    14,    16,    23,    28,    21,    23,    21,    13,    12,    12,    14,
    17,    21,    26,    27,    30,    30,    26,    20,    15,    15,    9,
    8,     9,     10,    7,     8,     7,     1,     -2,    -6,    -10,   -10,
    -12,   -15,   -10,   -7,    -6,    -5,    0,     -3,    -3,    -12,   -25,
    -35,   -49,   -53,   -49,   -51,   -48,   -46,   -48,   -39,   -33,   -31,
    -37,   -42,   -47,   -49,   -46,   -47,   -47,   -46,   -42,   -39,   -33,
    -26,   -23,   -14,   -8,    -9,    -7,    -10,   -11,   -13,   -13,   -19,
    -20,   -16,   -11,   -9,    7,     16,    21,    29,    27,    29,    28,
    21,    14,    13,    17,    19,    20,    18,    13,    17,    16,    18,
    20,    17,    13,    16,    23,    26,    26,    25,    27,    31,    30,
    31,    34,    32,    35,    32,    36,    31,    26,    23,    27,    27,
    29,    27,    26,    32,    31,    28,    26,    23,    14,    6,     0,
    -4,    -7,    -9,    -10,   -8,    -3,    4,     12,    11,    15,    11,
    8,     2,     -3,    -3,    -4,    -6,    -11,   -14,   -20,   -28,   -32,
    -38,   -46,   -42,   -44,   -40,   -34,   -26,   -29,   -25,   -23,   -24,
    -17,   -21,   -26,   -23,   -25,   -19,   -10,   -11,   -10,   -10,   -12,
    -9,    -3,    0,     -3,    -7,    -10,   -13,   -10,   -14,   -13,   -17,
    -22,   -22,   -30,   -28,   -29,   -26,   -18,   -6,    -1,    -3,    -4,
    -6,    -10,   -13,   -10,   -14,   -16,   -11,   -15,   -9,    -3,    -6,
    -1,    2,     3,     4,     6,     6,     3,     4,     12,    14,    17,
    21,    19,    20,    16,    17,    15,    21,    21,    22,    20,    17,
    16,    16,    20,    17,    15,    9,     5,     11,    18,    24,    28,
    26,    23,    23,    26,    22,    18,    21,    23,    26,    27,    25,
    27,    29,    26,    20,    10,    7,     11,    8,     16,    25,    33,
    37,    38,    39,    35,    30,    20,    13,    9,     6,     5,     13,
    13,    14,    15,    12,    8,     3,     3,     3,     2,     9,     11,
    10,    5,     5,     0,     -7,    -11,   -12,   -15,   -17,   -12,   -13,
    -18,   -19,   -21,   -24,   -22,   -27,   -34,   -36,   -36,   -32,   -20,
    -16,   -15,   -5,    -5,    -9,    -10,   -9,    -17,   -19,   -20,   -14,
    -13,   -10,   -4,    -7,    -7,    -14,   -19,   -28,   -31,   -30,   -31,
    -23,   -19,   -20,   -12,   -11,   -14,   -16,   -20,   -18,   -20,   -21,
    -24,   -29,   -30,   -30,   -34,   -31,   -25,   -21,   -18,   -11,   -4,
    2,     2,     3,     3,     2,     4,     -1,    -4,    -8,    -3,    -1,
    7,     15,    18,    22,    20,    20,    16,    16,    14,    13,    21,
    25,    26,    35,    28,    28,    28,    25,    21,    19,    18,    21,
    24,    20,    25,    28,    19,    16,    15,    8,     3,     -1,    3,
    5,     13,    18,    25,    31,    33,    39,    36,    36,    32,    36,
    37,    39,    42,    36,    32,    27,    30,    24,    18,    15,    10,
    7,     5,     6,     -1,    -4,    -10,   -17,   -15,   -19,   -15,   -7,
    -4,    3,     0,     3,     4,     -2,    -7,    -13,   -21,   -23,   -28,
    -27,   -26,   -25,   -15,   -10,   -4,    -6,    -5,    -9,    -5,    -3,
    1,     2,     -1,    1,     -4,    -7,    -8,    -17,   -17,   -15,   -14,
    -9,    -5,    -7,    -6,    -9,    -16,   -15,   -15,   -16,   -16,   -11,
    -15,   -15,   -6,    -6,    -5,    -2,    0,     -9,    -10,   -12,   -13,
    -10,   -4,    0,     8,     5,     4,     2,     0,     -5,    -8,    -16,
    -15,   -12,   -3,    9,     17,    24,    26,    30,    28,    22,    17,
    14,    9,     8,     9,     8,     11,    12,    12,    15,    14,    18,
    20,    17,    19,    22,    21,    12,    5,     0,     3,     -3,    -4,
    -6,    -7,    1,     8,     8,     8,     10,    2,     -3,    -8,    -15,
    -20,   -24,   -22,   -23,   -13,   -6,    -7,    -5,    -10,   -8,    -15,
    -19,   -22,   -20,   -17,   -18,   -13,   -10,   -1,    6,     5,     3,
    1,     -5,    -11,   -10,   -14,   -19,   -15,   -13,   -8,    -2,    -3,
    -4,    -3,    -4,    -1,    1,     0,     -3,    -4,    -8,    -18,   -21,
    -25,   -24,   -16,   -9,    -2,    1,     5,     1,     3,     -2,    -7,
    -10,   -23,   -30,   -29,   -23,   -9,    -3,    4,     11,    11,    6,
    2,     0,     -12,   -20,   -28,   -24,   -22,   -17,   -22,   -19,   -14,
    -21,   -17,   -17,   -12,   -8,    -3,    2,     0,     -6,    -5,    -8,
    -12,   -17,   -27,   -34,   -31,   -30,   -27,   -19,   -14,   -14,   -14,
    -14,   -19,   -22,   -21,   -19,   -14,   -1,    5,     9,     8,     6,
    5,     -4,    -2,    -3,    -3,    -1,    -2,    -3,    2,     7,     8,
    7,     6,     6,     3,     2,     1,     -2,    0,     6,     11,    18,
    18,    19,    17,    14,    9,     4,     3,     3,     0,     -1,    3,
    -1,    -5,    0,     -2,    0,     1,     7,     7,     8,     20,    29,
    33,    31,    24,    14,    5,     -6,    -11,   -8,    -11,   -2,    6,
    10,    12,    16,    26,    26,    24,    18,    12,    10,    4,     7,
    6,     -2,    -12,   -17,   -17,   -20,   -23,   -23,   -18,   -8,    1,
    3,     5,     6,     3,     0,     -6,    -12,   -12,   -15,   -12,   -7,
    3,     3,     8,     7,     7,     7,     1,     -1,    -1,    4,     11,
    17,    25,    32,    35,    42,    50,    52,    56,    50,    55,    53,
    52,    47,    40,    38,    30,    26,    27,    28,    29,    25,    23,
    23,    28,    30,    25,    26,    21,    19,    14,    9,     16,    22,
    25,    33,    39,    45,    49,    48,    55,    51,    43,    35,    20,
    14,    13,    23,    25,    24,    20,    22,    28,    22,    22,    17,
    16,    13,    10,    10,    10,    9,     9,     14,    11,    10,    10,
    4,     0,     0,     -2,    -3,    -5,    -7,    -3,    1,     -8,    -8,
    -9,    -4,    4,     9,     11,    14,    11,    6,     8,     3,     -6,
    -10,   -19,   -22,   -24,   -27,   -22,   -16,   -21,   -25,   -33,   -33,
    -32,   -30,   -21,   -13,   -6,    -5,    2,     1,     4,     9,     7,
    5,     1,     1,     8,     6,     7,     6,     0,     -6,    -15,   -18,
    -23,   -22,   -23,   -25,   -22,   -21,   -19,   -17,   -13,   -10,   -10,
    -16,   -17,   -15,   -13,   -8,    -9,    -14,   -13,   -17,   -20,   -26,
    -28,   -31,   -29,   -26,   -23,   -13,   -10,   -6,    -1,    5,     7,
    2,     -3,    -7,    -20,   -18,   -16,   -21,   -27,   -33,   -25,   -27,
    -22,   -22,   -21,   -16,   -11,   -7,    -2,    2,     11,    18,    11,
    9,     4,     1,     -1,    -6,    -4,    -5,    -9,    -12,   -16,   -25,
    -29,   -37,   -37,   -38,   -37,   -33,   -23,   -16,   -14,   -7,    -1,
    -4,    -3,    -4,    -5,    -11,   -14,   -8,    -8,    -8,    -8,    -9,
    -4,    -14,   -21,   -22,   -21,   -18,   -15,   -2,    3,     -3,    0,
    -2,    0,     -4,    -7,    -1,    -2,    3,     3,     -3,    -10,   -13,
    -10,   -16,   -19,   -17,   -17,   -14,   -7,    5,     5,     7,     8,
    12,    7,     0,     -5,    -13,   -17,   -18,   -14,   -7,    -4,    3,
    11,    11,    12,    11,    8,     4,     -5,    -5,    -11,   -15,   -17,
    -23,   -22,   -18,   -14,   -14,   -12,   -6,    -4,    -1,    3,     1,
    -4,    -10,   -22,   -29,   -30,   -26,   -15,   -2,    6,     16,    21,
    28,    32,    25,    24,    20,    9,     5,     0,     3,     7,     10,
    11,    13,    17,    15,    16,    13,    11,    11,    8,     7,     1,
    1,     -5,    -2,    -2,    -1,    4,     8,     17,    22,    24,    24,
    26,    23,    20,    17,    16,    9,     4,     6,     5,     8,     2,
    -1,    -5,    -4,    -10,   -14,   -14,   -17,   -19,   -18,   -16,   -14,
    -6,    -3,    1,     3,     0,     -4,    -6,    -4,    -1,    -1,    2,
    5,     3,     8,     7,     7,     14,    13,    20,    24,    29,    24,
    12,    7,     -1,    -6,    -15,   -22,   -20,   -27,   -22,   -14,   -6,
    2,     7,     9,     9,     2,     -3,    -7,    -8,    -10,   -9,    -3,
    -6,    -11,   -12,   -8,    -5,    -4,    -5,    -3,    0,     3,     6,
    6,     7,     5,     -7,    -10,   -14,   -13,   -14,   -17,   -11,   -7,
    -4,    1,     1,     4,     -4,    -8,    -18,   -23,   -23,   -25,   -19,
    -16,   -15,   -9,    3,     10,    19,    25,    30,    31,    26,    27,
    23,    19,    16,    8,     7,     2,     0,     -1,    -1,    1,     5,
    6,     6,     1,     3,     -1,    -7,    -11,   -17,   -19,   -19,   -7,
    0,     3,     11,    12,    18,    20,    16,    9,     -2,    -7,    -14,
    -19,   -22,   -30,   -33,   -34,   -36,   -26,   -14,   -11,   -9,    -3,
    0,     -2,    1,     -2,    -3,    -5,    -12,   -15,   -19,   -14,   -9,
    -8,    -2,    -6,    -13,   -15,   -19,   -22,   -25,   -26,   -21,   -20,
    -11,   -1,    1,     5,     9,     13,    15,    12,    11,    3,     1,
    -1,    0,     8,     13,    16,    16,    15,    16,    15,    12,    9,
    7,     8,     4,     6,     4,     3,     3,     7,     0,     -4,    -8,
    -11,   -18,   -18,   -15,   -20,   -23,   -21,   -22,   -21,   -27,   -25,
    -15,   -7,    -2,    8,     9,     8,     8,     3,     3,     7,     8,
    8,     8,     12,    11,    12,    4,     -1,    -7,    -11,   -15,   -18,
    -17,   -17,   -20,   -19,   -13,   -11,   -3,    -3,    -1,    1,     -3,
    1,     1,     8,     10,    15,    24,    26,    29,    34,    36,    26,
    20,    12,    -2,    -6,    -9,    -7,    -6,    1,     10,    13,    19,
    22,    22,    18,    21,    24,    28,    35,    37,    34,    33,    34,
    34,    30,    19,    15,    10,    19,    21,    23,    24,    21,    19,
    18,    21,    22,    22,    27,    30,    31,    32,    33,    32,    32,
    24,    18,    10,    8,     10,    10,    6,     2,     -7,    -14,   -22,
    -29,   -27,   -29,   -32,   -30,   -28,   -23,   -22,   -11,   -11,   -13,
    -3,    2,     -1,    1,     1,     -3,    -7,    -5,    -7,    -11,   -17,
    -23,   -25,   -26,   -27,   -26,   -23,   -14,   -5,    -3,    -1,    -2,
    -2,    -1,    1,     -2,    -7,    -4,    2,     4,     10,    13,    6,
    3,     -2,    -6,    -7,    -11,   -17,   -21,   -15,   -7,    -2,    11,
    16,    22,    25,    25,    23,    24,    23,    21,    22,    25,    23,
    17,    17,    12,    8,     -2,    -4,    1,     0,     4,     9,     8,
    10,    9,     9,     15,    13,    10,    8,     1,     1,     -3,    1,
    4,     11,    10,    9,     5,     5,     4,     1,     -1,    -4,    0,
    8,     7,     4,     3,     3,     0,     -9,    -16,   -19,   -20,   -21,
    -18,   -16,   -11,   -10,   -9,    -13,   -12,   -19,   -25,   -21,   -15,
    -5,    8,     14,    21,    24,    18,    20,    17,    6,     1,     -2,
    -2,    1,     1,     4,     1,     -3,    2,     0,     -3,    -3,    -4,
    1,     0,     -5,    -11,   -17,   -21,   -20,   -20,   -20,   -14,   -9,
    -3,    3,     7,     5,     3,     1,     -1,    -3,    -4,    -1,    1,
    -5,    -1,    -1,    -7,    -11,   -14,   -12,   -14,   -17,   -18,   -23,
    -29,   -24,   -27,   -19,   -12,   -13,   -2,    -3,    4,     4,     0,
    -3,    -5,    -2,    -1,    -5,    -6,    -7,    -7,    -7,    -9,    -13,
    -9,    -4,    1,     1,     1,     -4,    -11,   -8,    -15,   -19,   -19,
    -12,   -5,    1,     7,     12,    8,     10,    10,    10,    11,    11,
    19,    12,    9,     9,     2,     -4,    -13,   -22,   -24,   -25,   -24,
    -26,   -19,   -14,   -10,   -1,    5,     4,     -1,    -4,    -5,    -10,
    -14,   -11,   -8,    -10,   -8,    -9,    -7,    -8,    -6,    -1,    -5,
    -10,   -18,   -27,   -29,   -24,   -19,   -11,   -7,    1,     10,    8,
    8,     5,     2,     -5,    -1,    -1,    0,     2,     2,     -2,    -8,
    -8,    -14,   -26,   -25,   -23,   -18,   -9,    2,     2,     7,     13,
    6,     7,     5,     4,     3,     2,     1,     7,     2,     -1,    1,
    -2,    2,     0,     -2,    -6,    -3,    5,     7,     9,     6,     5,
    4,     2,     0,     -1,    -3,    3,     7,     6,     14,    18,    22,
    20,    22,    19,    13,    9,     2,     -8,    -11,   -6,    -2,    -3,
    -3,    0,     0,     0,     1,     -1,    -2,    1,     7,     11,    10,
    11,    17,    17,    11,    11,    4,     6,     6,     13,    19,    22,
    23,    27,    25,    24,    22,    14,    11,    13,    7,     0,     -3,
    -9,    -11,   -7,    -7,    -6,    -4,    1,     7,     9,     15,    18,
    18,    10,    5,     3,     -3,    -6,    -5,    -8,    -5,    4,     8,
    8,     11,    10,    9,     4,     4,     1,     -3,    -10,   -11,   -8,
    -16,   -20,   -22,   -19,   -12,   -7,    -10,   -10,   -13,   -14,   -11,
    -11,   -13,   -18,   -21,   -19,   -17,   -22,   -18,   -22,   -22,   -16,
    -9,    -3,    0,     3,     6,     3,     3,     -3,    -6,    -9,    -14,
    -1,    14,    21,    30,    37,    33,    27,    26,    19,    15,    14,
    11,    20,    12,    9,     10,    19,    20,    19,    22,    20,    22,
    17,    13,    14,    10,    8,     12,    15,    13,    12,    12,    12,
    9,     10,    11,    11,    9,     6,     4,     5,     -2,    1,     1,
    -1,    5,     1,     8,     6,     3,     -1,    -4,    -15,   -24,   -27,
    -26,   -23,   -19,   -9,    -3,    -4,    -9,    -9,    -10,   -16,   -22,
    -19,   -18,   -15,   -2,    3,     5,     6,     7,     8,     11,    3,
    1,     2,     1,     1,     0,     -4,    -13,   -18,   -19,   -19,   -20,
    -23,   -15,   -10,   -5,    -3,    -1,    -1,    -1,    3,     -1,    0,
    -8,    -11,   -13,   -14,   -13,   -8,    -6,    -3,    1,     1,     0,
    0,     5,     4,     5,     5,     5,     4,     0,     -1,    -4,    -13,
    -22,   -21,   -28,   -26,   -22,   -28,   -23,   -23,   -14,   -11,   -10,
    -7,    -8,    -5,    -4,    1,     9,     10,    15,    19,    21,    17,
    18,    19,    16,    13,    16,    21,    27,    29,    22,    22,    13,
    4,     1,     0,     -5,    -6,    -2,    3,     5,     8,     6,     9,
    10,    2,     -3,    -9,    -8,    -4,    -2,    -7,    -6,    -4,    -8,
    -6,    -8,    -11,   -8,    -8,    -6,    2,     -2,    -2,    -1,    2,
    4,     8,     5,     -1,    -8,    -10,   -7,    -6,    -5,    -6,    -5,
    6,     13,    22,    28,    33,    31,    38,    35,    28,    27,    22,
    22,    23,    26,    23,    21,    28,    28,    23,    23,    22,    21,
    20,    14,    6,     -1,    -5,    -8,    -5,    -1,    2,     5,     5,
    7,     8,     5,     4,     0,     3,     6,     10,    13,    13,    6,
    4,     4,     0,     -2,    -3,    0,     3,     5,     7,     9,     7,
    6,     10,    8,     3,     4,     -1,    -4,    -2,    0,     -2,    -2,
    -2,    -3,    5,     8,     6,     4,     -1,    -7,    -6,    -7,    -12,
    -18,   -11,   -2,    -1,    -1,    -1,    -2,    -7,    -7,    -3,    -3,
    -5,    -6,    -6,    -6,    -6,    -6,    -9,    -12,   -9,    -5,    1,
    3,     5,     5,     8,     7,     3,     -5,    -3,    -2,    2,     3,
    5,     5,     -1,    -2,    -4,    -8,    -9,    -9,    -7,    -12,   -13,
    -17,   -19,   -16,   -19,   -21,   -21,   -19,   -11,   -6,    -3,    7,
    8,     6,     2,     0,     1,     1,     -2,    -5,    0,     -2,    2,
    1,     2,     0,     -2,    -1,    -10,   -21,   -25,   -24,   -21,   -19,
    -14,   -8,    -3,    -5,    0,     0,     -5,    -6,    -3,    -6,    -9,
    -13,   -19,   -20,   -21,   -21,   -24,   -25,   -27,   -27,   -29,   -26,
    -19,   -14,   -14,   -13,   -8,    -5,    -10,   -10,   -6,    1,     4,
    14,    22,    23,    24,    20,    20,    18,    14,    11,    9,     6,
    8,     12,    15,    18,    18,    12,    8,     9,     9,     9,     7,
    4,     9,     5,     6,     5,     3,     3,     -1,    -1,    -6,    -10,
    -6,    -8,    -3,    0,     -2,    -3,    -2,    -6,    -6,    -7,    -3,
    -3,    -3,    -2,    1,     -1,    -10,   -7,    -13,   -21,   -23,   -20,
    -19,   -18,   -18,   -19,   -15,   -16,   -7,    -6,    -9,    -13,   -12,
    -6,    -1,    3,     6,     7,     5,     3,     -3,    -11,   -18,   -20,
    -26,   -29,   -27,   -27,   -24,   -30,   -29,   -28,   -23,   -18,   -21,
    -18,   -15,   -9,    1,     9,     17,    21,    23,    18,    14,    5,
    -1,    -2,    -1,    0,     3,     6,     5,     4,     4,     0,     -1,
    1,     -4,    -9,    -13,   -11,   -20,   -21,   -19,   -14,   -9,    -4,
    1,     6,     10,    16,    24,    30,    35,    31,    38,    37,    35,
    39,    36,    36,    32,    30,    33,    31,    24,    19,    12,    4,
    -1,    -7,    -11,   -7,    -5,    -3,    2,     6,     10,    16,    19,
    21,    21,    16,    10,    14,    12,    14,    13,    12,    12,    5,
    6,     2,     0,     1,     3,     4,     6,     9,     6,     2,     -1,
    -3,    -10,   -15,   -13,   -17,   -19,   -15,   -16,   -15,   -13,   -8,
    -8,    -7,    -10,   -5,    -2,    1,     5,     5,     11,    10,    12,
    10,    9,     9,     15,    23,    33,    35,    33,    34,    34,    35,
    34,    24,    30,    26,    23,    21,    20,    15,    10,    3,     4,
    0,     -7,    -8,    -9,    -9,    -8,    -4,    0,     5,     5,     2,
    3,     -2,    0,     0,     -1,    0,     -1,    1,     2,     6,     3,
    1,     -9,    -5,    -6,    -2,    -8,    -12,   -9,    -10,   -7,    -8,
    -8,    -6,    -2,    -2,    -1,    0,     -2,    -1,    -8,    -18,   -19,
    -27,   -37,   -42,   -40,   -39,   -33,   -30,   -23,   -16,   -16,   -9,
    -13,   -11,   -10,   -10,   -8,    -3,    -1,    2,     0,     -1,    2,
    6,     4,     8,     10,    17,    21,    28,    31,    33,    28,    20,
    12,    8,     -3,    -5,    -4,    -3,    2,     6,     9,     8,     2,
    7,     4,     -6,    -9,    -15,   -13,   -15,   -17,   -14,   -11,   -12,
    -5,    -6,    -4,    -6,    -11,   -11,   -7,    -4,    -6,    -8,    -13,
    -10,   -7,    -12,   -11,   -12,   -13,   -12,   -9,    -9,    -10,   -10,
    -6,    -8,    -8,    -7,    -9,    -9,    -7,    2,     5,     5,     6,
    3,     4,     6,     3,     -1,    -2,    -2,    -2,    1,     5,     3,
    4,     2,     -2,    -7,    -9,    -13,   -11,   -8,    2,     12,    23,
    31,    37,    41,    40,    37,    36,    31,    31,    27,    28,    24,
    13,    16,    14,    15,    9,     4,     4,     5,     4,     7,     12,
    16,    14,    11,    13,    6,     -2,    -4,    -1,    -3,    3,     6,
    6,     9,     7,     9,     7,     5,     0,     1,     -1,    -2,    -4,
    -1,    0,     0,     -4,    0,     -4,    -9,    -15,   -16,   -18,   -15,
    -10,   -6,    -8,    -5,    -2,    -2,    0,     4,     7,     0,     -2,
    -3,    4,     3,     2,     -1,    -3,    -8,    -19,   -19,   -19,   -16,
    -8,    -5,    0,     1,     2,     1,     -1,    -2,    -10,   -12,   -10,
    -4,    3,     4,     2,     7,     8,     4,     1,     -5,    -5,    -4,
    -1,    9,     10,    12,    15,    15,    14,    11,    20,    16,    19,
    18,    26,    29,    21,    23,    16,    16,    3,     -3,    -4,    -10,
    -12,   -10,   -6,    -7,    -12,   -17,   -14,   -16,   -19,   -13,   -10,
    -13,   -13,   -2,    2,     3,     7,     13,    22,    21,    21,    21,
    24,    27,    23,    22,    20,    17,    17,    16,    13,    11,    5,
    1,     1,     5,     5,     3,     2,     -1,    2,     -5,    -6,    -3,
    -11,   -9,    -6,    -5,    -10,   -4,    -1,    1,     2,     -1,    -4,
    -4,    -9,    -9,    -7,    -3,    3,     -2,    1,     1,     4,     -4,
    -8,    -8,    -17,   -17,   -13,   -13,   -18,   -18,   -25,   -27,   -21,
    -22,   -18,   -7,    -1,    5,     9,     11,    11,    11,    15,    11,
    4,     1,     6,     8,     17,    12,    10,    5,     -2,    -3,    -14,
    -17,   -25,   -26,   -22,   -20,   -13,   -12,   -12,   -13,   -10,   -4,
    -6,    -6,    -4,    -6,    -4,    0,     -3,    -7,    -7,    -10,   -17,
    -14,   -9,    -3,    4,     4,     6,     1,     0,     0,     -6,    -3,
    -4,    -3,    -6,    -9,    -9,    -5,    0,     1,     2,     -2,    3,
    -1,    -4,    -5,    -11,   -14,   -17,   -14,   -12,   -14,   -19,   -21,
    -25,   -35,   -40,   -39,   -31,   -24,   -13,   -4,    -1,    0,     0,
    2,     -2,    -5,    -8,    -8,    -9,    -6,    -2,    0,     -5,    -6,
    2,     5,     4,     1,     6,     8,     9,     14,    13,    19,    15,
    19,    13,    14,    20,    16,    16,    14,    14,    17,    13,    12,
    11,    6,     -1,    -7,    -9,    -10,   -11,   -2,    8,     12,    12,
    12,    8,     4,     1,     -3,    -4,    -4,    -3,    1,     9,     14,
    16,    10,    12,    9,     6,     4,     -1,    8,     6,     3,     6,
    1,     -11,   -10,   -10,   -13,   -9,    -6,    -2,    -2,    9,     13,
    17,    17,    19,    17,    16,    9,     -2,    -5,    -5,    -3,    -9,
    -8,    -8,    -12,   -17,   -16,   -18,   -15,   -9,    -7,    1,     10,
    17,    18,    23,    25,    23,    20,    15,    17,    18,    23,    33,
    40,    43,    45,    51,    53,    47,    36,    27,    10,    5,     1,
    4,     5,     4,     0,     0,     6,     7,     8,     9,     3,     2,
    1,     0,     -1,    3,     5,     5,     13,    7,     4,     4,     3,
    11,    17,    21,    31,    31,    31,    31,    28,    26,    23,    19,
    16,    17,    16,    10,    10,    12,    9,     7,     -1,    -7,    -12,
    -15,   -15,   -15,   -13,   -13,   -16,   -19,   -19,   -23,   -31,   -34,
    -38,   -39,   -31,   -30,   -21,   -21,   -18,   -11,   -16,   -20,   -25,
    -22,   -18,   -14,   -7,    -8,    -3,    2,     10,    13,    12,    10,
    6,     2,     0,     0,     0,     -6,    -4,    -1,    0,     0,     -1,
    -2,    1,     3,     8,     9,     3,     6,     2,     -4,    -2,    -3,
    -7,    -4,    -3,    2,     6,     8,     10,    12,    15,    11,    15,
    12,    13,    14,    15,    18,    14,    8,     4,     4,     3,     -4,
    -5,    -4,    -2,    -3,    -2,    4,     9,     13,    18,    21,    20,
    18,    15,    11,    6,     7,     10,    8,     6,     3,     -3,    -7,
    -14,   -21,   -29,   -33,   -32,   -26,   -17,   -12,   -11,   -9,    -3,
    -10,   -13,   -18,   -23,   -21,   -26,   -26,   -24,   -28,   -25,   -29,
    -30,   -30,   -27,   -17,   -7,    2,     10,    13,    16,    16,    17,
    18,    17,    19,    19,    20,    15,    14,    16,    14,    10,    5,
    0,     -4,    -18,   -21,   -25,   -20,   -16,   -13,   -8,    -5,    2,
    6,     11,    12,    18,    16,    18,    15,    13,    17,    18,    22,
    21,    25,    26,    25,    26,    28,    31,    27,    20,    10,    3,
    -6,    -10,   -16,   -19,   -18,   -15,   -13,   -10,   -2,    0,     2,
    4,     3,     5,     -1,    0,     1,     2,     0,     -2,    -1,    -6,
    -5,    -7,    -12,   -10,   -9,    -4,    -1,    3,     4,     2,     4,
    4,     3,     -3,    -6,    -11,   -14,   -15,   -23,   -25,   -29,   -30,
    -28,   -25,   -22,   -19,   -21,   -19,   -11,   -7,    -7,    -3,    -3,
    -6,    -8,    -13,   -10,   -10,   -5,    1,     4,     9,     7,     6,
    6,     4,     -5,    -11,   -8,    -6,    -3,    0,     3,     7,     11,
    7,     3,     5,     6,     10,    12,    14,    16,    8,     5,     -1,
    -1,    4,     0,     0,     -3,    -5,    -5,    -4,    -2,    -2,    1,
    4,     7,     5,     10,    9,     6,     9,     12,    19,    28,    32,
    32,    33,    31,    29,    20,    17,    16,    14,    15,    6,     -2,
    -5,    -7,    -10,   -10,   -11,   -9,    -6,    -3,    8,     10,    10,
    10,    12,    12,    7,     7,     5,     3,     2,     2,     -2,    -5,
    -4,    -7,    -2,    -6,    -5,    -6,    -11,   -14,   -13,   -10,   -11,
    -15,   -16,   -11,   -11,   -11,   -10,   -16,   -15,   -15,   -16,   -10,
    -11,   -11,   -5,    -1,    2,     1,     2,     0,     1,     4,     8,
    5,     -4,    -2,    -4,    -12,   -18,   -24,   -20,   -25,   -14,   -3,
    4,     11,    13,    13,    7,     4,     -4,    -9,    -13,   -17,   -10,
    -6,    -1,    0,     2,     2,     -1,    1,     -8,    -18,   -22,   -19,
    -19,   -22,   -20,   -22,   -20,   -17,   -12,   -9,    -4,    3,     9,
    9,     9,     7,     6,     13,    10,    11,    8,     4,     -1,    5,
    7,     7,     8,     4,     2,     2,     -2,    -8,    -11,   -16,   -18,
    -12,   -12,   -9,    -2,    3,     3,     5,     5,     6,     9,     11,
    20,    22,    26,    30,    28,    22,    15,    15,    10,    11,    9,
    6,     9,     9,     11,    10,    12,    10,    8,     8,     7,     9,
    4,     3,     9,     5,     1,     2,     0,     -3,    -3,    0,     3,
    0,     -2,    1,     4,     6,     4,     0,     1,     -4,    -13,   -13,
    -11,   -20,   -21,   -15,   -17,   -23,   -22,   -24,   -29,   -24,   -29,
    -32,   -21,   -13,   -11,   -9,    -9,    -8,    -13,   -11,   -11,   -11,
    -11,   -17,   -17,   -21,   -23,   -27,   -32,   -33,   -32,   -31,   -35,
    -31,   -26,   -24,   -18,   -10,   -1,    5,     13,    17,    15,    13,
    8,     4,     6,     9,     10,    13,    11,    12,    13,    9,     5,
    6,     8,     12,    21,    25,    24,    23,    16,    8,     7,     0,
    -3,    -8,    -9,    -2,    1,     11,    18,    25,    30,    31,    27,
    21,    19,    19,    18,    18,    22,    24,    16,    14,    8,     2,
    -4,    -9,    -7,    -10,   -6,    -8,    -8,    -13,   -14,   -11,   -13,
    -8,    -7,    6,     9,     10,    15,    17,    11,    11,    9,     2,
    2,     -2,    2,     -6,    -6,    -7,    -14,   -11,   -12,   -13,   -17,
    -22,   -25,   -30,   -24,   -16,   -4,    5,     2,     7,     5,     2,
    -1,    1,     -4,    -4,    4,     8,     8,     5,     6,     6,     2,
    1,     -2,    -9,    -14,   -17,   -16,   -15,   -14,   -12,   -11,   -6,
    -6,    -2,    -3,    -3,    6,     13,    18,    27,    27,    26,    24,
    22,    19,    18,    19,    12,    8,     7,     -2,    0,     -6,    -8,
    -6,    -4,    -6,    -14,   -16,   -16,   -15,   -12,   -2,    6,     12,
    16,    18,    14,    16,    13,    12,    17,    16,    17,    17,    12,
    13,    10,    14,    14,    10,    2,     -1,    -3,    -5,    -10,   -15,
    -13,   -20,   -21,   -21,   -21,   -19,   -20,   -18,   -8,    -4,    -1,
    -1,    4,     2,     -3,    0,     -5,    -5,    -3,    -1,    0,     6,
    5,     6,     7,     7,     3,     2,     1,     -5,    -3,    0,     3,
    5,     7,     4,     10,    15,    15,    11,    6,     8,     9,     14,
    19,    18,    14,    12,    16,    15,    11,    9,     9,     5,     4,
    0,     -7,    -12,   -18,   -22,   -29,   -32,   -36,   -37,   -38,   -39,
    -32,   -24,   -20,   -14,   -10,   -2,    0,     1,     9,     13,    21,
    26,    31,    35,    40,    38,    32,    33,    25,    14,    11,    7,
    1,     -1,    -6,    -5,    -11,   -20,   -22,   -19,   -16,   -9,    2,
    9,     14,    14,    13,    13,    12,    10,    3,     2,     1,     0,
    6,     5,     -1,    -4,    -13,   -17,   -21,   -25,   -29,   -30,   -23,
    -14,   -4,    4,     11,    11,    12,    13,    13,    5,     6,     6,
    7,     5,     5,     9,     -2,    3,     0,     -2,    -3,    -5,    -1,
    3,     9,     16,    18,    17,    17,    11,    5,     1,     -4,    -13,
    -12,   -7,    -7,    1,     6,     4,     2,     3,     1,     1,     0,
    -1,    -5,    -5,    -3,    -5,    -1,    8,     9,     7,     12,    7,
    6,     4,     3,     -1,    -1,    -4,    -14,   -16,   -18,   -24,   -34,
    -44,   -37,   -37,   -36,   -28,   -19,   -15,   -6,    -2,    -3,    2,
    5,     6,     3,     6,     6,     9,     7,     3,     -4,    -15,   -25,
    -34,   -37,   -41,   -41,   -38,   -33,   -27,   -22,   -14,   -15,   -18,
    -18,   -15,   -8,    -7,    -2,    2,     0,     4,     12,    13,    10,
    17,    20,    16,    17,    23,    24,    22,    24,    22,    28,    26,
    24,    22,    26,    28,    27,    23,    17,    10,    4,     4,     1,
    -1,    0,     4,     9,     15,    14,    15,    14,    14,    13,    8,
    0,     -1,    -11,   -13,   -4,    -3,    -5,    -3,    -1,    -6,    -5,
    -7,    -4,    -2,    2,     7,     15,    20,    14,    13,    8,     2,
    -6,    -15,   -23,   -25,   -20,   -22,   -20,   -14,   -10,   -4,    -2,
    1,     -10,   -15,   -12,   -8,    -8,    -7,    -5,    -10,   -12,   -20,
    -28,   -26,   -24,   -16,   -8,    -5,    3,     8,     9,     12,    12,
    12,    14,    13,    12,    10,    13,    23,    29,    28,    33,    36,
    32,    28,    23,    25,    26,    30,    34,    27,    22,    16,    12,
    3,     -6,    -13,   -13,   -15,   -14,   -9,    -11,   -13,   -13,   -16,
    -15,   -20,   -22,   -20,   -32,   -30,   -29,   -24,   -18,   -18,   -18,
    -13,   -15,   -15,   -16,   -17,   -10,   -11,   -12,   -15,   -17,   -17,
    -19,   -21,   -22,   -26,   -28,   -21,   -18,   -14,   -5,    2,     6,
    7,     5,     3,     -2,    0,     -4,    -2,    -3,    -6,    -9,    -12,
    -11,   -11,   -19,   -23,   -20,   -21,   -16,   -19,   -23,   -22,   -24,
    -21,   -22,   -17,   -15,   -8,    -1,    4,     14,    18,    23,    24,
    25,    25,    18,    15,    7,     2,     14,    19,    22,    20,    23,
    22,    20,    19,    20,    17,    16,    21,    22,    21,    18,    9,
    3,     -6,    -14,   -19,   -30,   -36,   -40,   -32,   -22,   -21,   -16,
    -7,    -1,    3,     2,     3,     6,     9,     16,    20,    22,    26,
    27,    29,    32,    30,    23,    19,    20,    21,    18,    22,    24,
    15,    14,    9,     9,     7,     6,     9,     9,     16,    22,    20,
    18,    18,    9,     -1,    -10,   -16,   -19,   -22,   -22,   -20,   -16,
    -11,   -5,    0,     1,     4,     2,     0,     3,     5,     10,    8,
    12,    10,    11,    9,     8,     7,     -3,    -4,    -10,   -11,   -5,
    2,     8,     12,    12,    13,    14,    15,    14,    12,    10,    14,
    13,    8,     0,     -2,    -3,    -9,    -6,    -13,   -21,   -12,   -12,
    -8,    -9,    -14,   -16,   -19,   -23,   -22,   -23,   -30,   -26,   -17,
    -14,   -9,    -2,    3,     11,    16,    17,    17,    11,    12,    13,
    12,    9,     8,     7,     10,    17,    14,    13,    9,     7,     6,
    5,     10,    10,    6,     10,    9,     1,     -5,    -10,   -12,   -17,
    -16,   -14,   -13,   -10,   -6,    -2,    0,     -1,    2,     2,     -1,
    2,     6,     12,    18,    23,    22,    23,    24,    20,    16,    10,
    6,     9,     16,    15,    15,    16,    14,    8,     4,     0,     -3,
    -7,    -4,    -5,    -5,    0,     -4,    1,     1,     1,     -4,    -10,
    -17,   -25,   -25,   -28,   -28,   -27,   -25,   -20,   -20,   -20,   -22,
    -14,   -11,   -4,    4,     6,     11,    10,    12,    9,     6,     2,
    -6,    -10,   -12,   -7,    -1,    -6,    0,     1,     2,     5,     1,
    -1,    1,     -3,    -6,    -4,    -5,    -4,    -6,    -5,    -7,    -10,
    -10,   -8,    -11,   -9,    -2,    9,     15,    14,    20,    19,    19,
    16,    16,    11,    3,     2,     2,     5,     4,     5,     3,     -1,
    -1,    -6,    -11,   -16,   -18,   -18,   -12,   -17,   -18,   -13,   -15,
    -5,    -4,    -3,    -1,    2,     6,     7,     11,    14,    17,    17,
    18,    21,    18,    19,    18,    23,    27,    36,    32,    35,    30,
    24,    25,    18,    10,    3,     -1,    -4,    -11,   -16,   -21,   -33,
    -37,   -35,   -36,   -35,   -30,   -26,   -26,   -21,   -10,   -7,    -3,
    -4,    -3,    -3,    -9,    -12,   -16,   -25,   -22,   -11,   -6,    2,
    5,     7,     4,     -2,    -8,    -16,   -23,   -30,   -28,   -23,   -20,
    -11,   -11,   -8,    5,     2,     -3,    -1,    -11,   -15,   -10,   -13,
    -8,    -8,    -12,   -9,    -10,   -15,   -8,    -4,    -3,    7,     6,
    13,    20,    25,    24,    25,    27,    28,    25,    23,    22,    27,
    28,    27,    30,    28,    26,    20,    16,    13,    7,     2,     1,
    6,     3,     -4,    -6,    -13,   -18,   -19,   -21,   -15,   -3,    -1,
    10,    16,    17,    20,    24,    28,    28,    26,    26,    28,    27,
    24,    23,    20,    20,    24,    20,    17,    14,    6,     0,     2,
    1,     0,     -3,    -7,    -12,   -18,   -29,   -28,   -30,   -32,   -23,
    -27,   -25,   -20,   -17,   -13,   -11,   -14,   -17,   -21,   -22,   -18,
    -11,   -12,   -6,    -8,    -9,    -5,    -6,    -10,   -18,   -19,   -16,
    -13,   -9,    -6,    -7,    -13,   -10,   -14,   -22,   -30,   -37,   -35,
    -37,   -35,   -34,   -36,   -30,   -23,   -17,   -16,   -16,   -11,   -6,
    -2,    3,     7,     7,     6,     7,     7,     13,    21,    20,    22,
    23,    22,    24,    17,    5,     -1,    -2,    -8,    -13,   -14,   -17,
    -24,   -28,   -23,   -22,   -19,   -12,   -14,   -10,   -14,   -21,   -20,
    -21,   -22,   -13,   -6,    -1,    6,     4,     10,    11,    8,     10,
    10,    17,    20,    27,    34,    32,    26,    26,    24,    17,    13,
    6,     9,     12,    15,    17,    12,    11,    9,     3,     -3,    -3,
    -8,    -9,    -4,    -2,    -2,    2,     1,     -1,    -3,    -7,    -8,
    -11,   -15,   -8,    -5,    1,     9,     7,     10,    13,    17,    14,
    12,    8,     6,     3,     6,     9,     8,     5,     0,     -2,    1,
    1,     -3,    -6,    -12,   -17,   -17,   -23,   -28,   -33,   -31,   -29,
    -30,   -35,   -28,   -25,   -17,   -5,    0,     6,     10,    14,    27,
    31,    26,    31,    30,    32,    41,    42,    42,    43,    34,    32,
    21,    12,    2,     1,     -3,    -1,    8,     13,    20,    19,    18,
    19,    13,    8,     5,     7,     6,     7,     6,     4,     3,     -2,
    0,     2,     -4,    -1,    -3,    2,     12,    22,    33,    32,    31,
    35,    35,    34,    32,    26,    27,    26,    21,    17,    10,    1,
    -3,    -14,   -21,   -19,   -21,   -19,   -24,   -24,   -19,   -16,   -13,
    -16,   -13,   -15,   -17,   -12,   -9,    -4,    7,     19,    27,    33,
    37,    34,    35,    30,    24,    23,    25,    21,    20,    18,    15,
    12,    13,    8,     2,     -4,    -12,   -18,   -17,   -14,   -10,   -14,
    -8,    -14,   -14,   -12,   -14,   -19,   -23,   -31,   -32,   -28,   -30,
    -22,   -20,   -13,   1,     0,     6,     14,    15,    20,    22,    20,
    16,    9,     2,     1,     3,     6,     7,     9,     10,    14,    17,
    16,    14,    4,     -7,    -16,   -31,   -40,   -41,   -40,   -38,   -34,
    -40,   -37,   -33,   -28,   -22,   -17,   -11,   -10,   -12,   -5,    -5,
    -8,    -4,    0,     -1,    1,     1,     6,     11,    14,    22,    25,
    28,    31,    32,    32,    31,    31,    20,    13,    12,    5,     4,
    4,     2,     0,     -3,    -6,    -8,    -4,    -4,    -4,    -1,    7,
    9,     10,    13,    13,    16,    10,    7,     3,     6,     8,     8,
    15,    20,    23,    18,    15,    12,    4,     1,     0,     -4,    -4,
    -1,    8,     11,    13,    21,    24,    19,    12,    2,     -5,    -11,
    -15,   -17,   -17,   -19,   -23,   -28,   -34,   -33,   -37,   -29,   -27,
    -24,   -17,   -13,   -8,    -6,    -2,    5,     3,     4,     -2,    -5,
    -4,    0,     2,     3,     1,     -5,    -5,    -6,    -11,   -11,   -15,
    -15,   -19,   -17,   -17,   -21,   -23,   -21,   -22,   -24,   -28,   -27,
    -25,   -15,   -8,    -1,    2,     2,     3,     3,     2,     -2,    0,
    1,     -1,    2,     5,     7,     2,     0,     2,     -6,    -9,    -8,
    -6,    -3,    -3,    3,     0,     5,     0,     0,     -5,    -12,   -13,
    -20,   -14,   -14,   -6,    -5,    -2,    0,     6,     11,    9,     9,
    11,    10,    13,    19,    26,    29,    36,    37,    40,    35,    27,
    20,    13,    6,     3,     -1,    -1,    -1,    -3,    -6,    -8,    -14,
    -16,   -25,   -28,   -23,   -21,   -24,   -22,   -22,   -22,   -24,   -28,
    -35,   -43,   -42,   -37,   -29,   -20,   -5,    2,     10,    23,    28,
    30,    31,    30,    39,    43,    40,    41,    43,    43,    38,    29,
    18,    14,    12,    3,     6,     3,     3,     0,     -1,    -3,    -5,
    -5,    -8,    -8,    -10,   -6,    -1,    1,     5,     1,     2,     6,
    0,     -3,    -7,    -13,   -10,   -7,    -8,    -7,    -3,    -5,    -4,
    -4,    -4,    -5,    -2,    2,     3,     6,     4,     3,     -1,    -2,
    -5,    -16,   -22,   -31,   -39,   -38,   -42,   -47,   -42,   -42,   -35,
    -27,   -30,   -28,   -25,   -26,   -24,   -20,   -19,   -19,   -19,   -19,
    -14,   -16,   -13,   -9,    -10,   -1,    8,     17,    21,    28,    26,
    28,    24,    14,    8,     2,     0,     -4,    -4,    -13,   -16,   -16,
    -13,   -12,   -7,    -5,    0,     -4,    -1,    2,     4,     8,     8,
    10,    10,    10,    14,    16,    17,    23,    20,    27,    27,    27,
    21,    14,    11,    0,     -4,    -8,    -8,    -1,    -1,    1,     6,
    8,     23,    22,    23,    23,    25,    26,    26,    22,    21,    20,
    22,    17,    12,    8,     3,     -2,    -2,    -4,    -5,    -3,    1,
    7,     6,     8,     9,     12,    6,     1,     -4,    -8,    -6,    -3,
    -4,    -5,    -3,    -7,    -6,    -6,    -11,   -11,   -19,   -23,   -26,
    -28,   -34,   -41,   -41,   -44,   -45,   -47,   -40,   -39,   -33,   -29,
    -21,   -14,   -16,   -6,    -7,    -3,    1,     6,     8,     11,    14,
    14,    15,    15,    18,    18,    16,    17,    12,    15,    20,    21,
    19,    21,    23,    22,    21,    16,    12,    8,     7,     7,     10,
    13,    13,    16,    16,    16,    16,    15,    15,    12,    14,    14,
    15,    12,    11,    17,    19,    19,    14,    13,    15,    17,    18,
    20,    24,    27,    24,    19,    11,    10,    1,     0,     0,     -1,
    3,     8,     16,    18,    17,    22,    22,    21,    19,    7,     0,
    1,     -1,    -2,    -1,    -6,    -8,    -12,   -14,   -20,   -21,   -24,
    -19,   -9,    -4,    -3,    2,     2,     3,     0,     -10,   -19,   -23,
    -29,   -31,   -35,   -29,   -33,   -28,   -25,   -25,   -19,   -22,   -23,
    -24,   -21,   -17,   -15,   -17,   -13,   -15,   -12,   -15,   -14,   -14,
    -12,   -9,    -5,    1,     9,     13,    13,    17,    17,    15,    11,
    12,    8,     13,    20,    24,    30,    29,    33,    30,    26,    23,
    13,    9,     4,     3,     3,     5,     3,     2,     5,     3,     2,
    1,     3,     6,     10,    14,    19,    23,    21,    20,    21,    17,
    11,    5,     -3,    -7,    -12,   -15,   -16,   -13,   -15,   -13,   -7,
    -4,    -5,    -5,    -1,    5,     11,    8,     7,     -2,    -2,    -5,
    -6,    -1,    -2,    0,     2,     8,     13,    15,    17,    15,    16,
    10,    13,    3,     -1,    -4,    -4,    -4,    0,     8,     13,    15,
    9,     11,    9,     12,    9,     10,    10,    5,     11,    16,    21,
    20,    15,    13,    5,     3,     -3,    1,     1,     0,     -4,    -7,
    -9,    -7,    -9,    -10,   -7,    -6,    -3,    -2,    -3,    -3,    -6,
    -12,   -16,   -22,   -21,   -26,   -28,   -25,   -24,   -23,   -23,   -28,
    -32,   -29,   -26,   -26,   -23,   -29,   -23,   -16,   -11,   -7,    -9,
    -10,   -12,   -18,   -20,   -20,   -26,   -23,   -16,   -17,   -10,   -7,
    0,     3,     -2,    0,     -4,    -7,    -8,    -6,    -3,    -7,    -5,
    -5,    1,     0,     -3,    -2,    -3,    5,     7,     10,    19,    17,
    22,    21,    20,    16,    8,     9,     10,    12,    20,    28,    31,
    28,    28,    26,    21,    14,    8,     5,     4,     5,     8,     9,
    9,     13,    17,    16,    14,    20,    17,    13,    16,    17,    18,
    18,    15,    11,    5,     -2,    -8,    -15,   -17,   -17,   -24,   -24,
    -23,   -18,   -13,   -13,   -9,    -7,    -4,    0,     3,     6,     2,
    2,     -4,    -5,    -5,    -4,    -4,    -2,    2,     6,     10,    7,
    4,     2,     -2,    -3,    -8,    -10,   -14,   -27,   -29,   -37,   -36,
    -29,   -27,   -19,   -7,    -3,    0,     -2,    2,     8,     13,    18,
    15,    10,    10,    6,     1,     -5,    -12,   -17,   -20,   -23,   -23,
    -22,   -19,   -17,   -10,   -6,    -3,    2,     0,     4,     11,    14,
    19,    16,    6,     7,     3,     3,     4,     1,     7,     8,     7,
    3,     -2,    0,     0,     0,     -1,    -2,    0,     4,     3,     5,
    9,     9,     12,    7,     5,     0,     0,     1,     0,     2,     -6,
    -10,   -9,    -13,   -15,   -19,   -15,   -18,   -16,   -17,   -9,    -5,
    -2,    2,     2,     3,     7,     2,     -3,    -8,    -13,   -8,    1,
    8,     12,    15,    17,    17,    11,    7,     0,     -4,    -8,    -8,
    -3,    -1,    -4,    -6,    -6,    -13,   -12,   -12,   -13,   -12,   -8,
    -9,    -5,    -4,    -2,    0,     -1,    -6,    -7,    -6,    -10,   -10,
    -8,    -6,    1,     5,     6,     15,    18,    16,    12,    12,    12,
    10,    13,    7,     0,     -9,    -10,   -11,   -6,    -8,    -8,    -4,
    0,     6,     10,    11,    15,    15,    15,    12,    10,    6,     6,
    11,    12,    20,    25,    23,    25,    18,    12,    6,     -1,    -4,
    -10,   -12,   -9,    -13,   -16,   -15,   -18,   -18,   -22,   -22,   -17,
    -14,   -12,   -8,    -3,    1,     4,     11,    13,    7,     0,     -8,
    -11,   -11,   -13,   -14,   -12,   -11,   -9,    -6,    -5,    -2,    1,
    5,     6,     10,    18,    17,    15,    13,    11,    12,    13,    10,
    9,     13,    16,    16,    13,    11,    6,     5,     0,     -5,    -4,
    -3,    2,     6,     5,     6,     11,    14,    20,    23,    28,    27,
    22,    24,    23,    22,    16,    17,    12,    7,     -1,    -9,    -10,
    -9,    -9,    -13,   -11,   -9,    -2,    -2,    -7,    -8,    -6,    -7,
    -12,   -12,   -10,   0,     5,     11,    13,    11,    10,    7,     3,
    0,     0,     3,     10,    14,    16,    18,    19,    21,    14,    15,
    12,    7,     6,     7,     9,     7,     11,    6,     4,     4,     -1,
    -9,    -12,   -12,   -14,   -9,    -9,    -6,    -5,    -4,    -6,    -7,
    -12,   -15,   -17,   -27,   -23,   -20,   -19,   -19,   -18,   -24,   -20,
    -25,   -28,   -33,   -31,   -29,   -27,   -15,   -12,   -7,    -3,    1,
    -3,    -3,    -5,    -8,    -6,    0,     13,    17,    24,    25,    23,
    24,    18,    8,     -3,    -4,    -4,    -7,    -3,    1,     4,     7,
    9,     10,    14,    14,    20,    28,    35,    38,    42,    43,    43,
    39,    30,    27,    19,    15,    8,     10,    12,    19,    25,    26,
    27,    23,    22,    15,    10,    6,     8,     4,     6,     6,     3,
    7,     7,     15,    11,    7,     6,     5,     9,     6,     0,     -3,
    -14,   -21,   -21,   -30,   -39,   -42,   -40,   -37,   -37,   -36,   -32,
    -30,   -24,   -21,   -22,   -23,   -24,   -28,   -31,   -31,   -29,   -27,
    -30,   -31,   -31,   -31,   -34,   -33,   -34,   -26,   -21,   -15,   -10,
    -5,    -3,    -2,    -3,    -6,    -5,    -11,   -14,   -10,   -5,    0,
    9,     10,    18,    21,    19,    21,    11,    7,     4,     6,     6,
    7,     3,     -6,    -9,    -16,   -23,   -24,   -23,   -26,   -18,   -16,
    -11,   -8,    0,     6,     5,     6,     10,    8,     8,     16,    24,
    24,    23,    24,    24,    24,    18,    9,     4,     -3,    -11,   -16,
    -15,   -18,   -14,   -12,   -9,    -3,    -4,    -1,    8,     11,    10,
    19,    21,    21,    23,    20,    22,    15,    9,     7,     5,     3,
    1,     12,    13,    10,    18,    23,    31,    37,    40,    36,    38,
    40,    40,    38,    27,    24,    21,    14,    12,    12,    7,     7,
    15,    18,    19,    18,    17,    18,    14,    12,    11,    7,     5,
    7,     9,     9,     15,    14,    15,    18,    16,    7,     0,     -5,
    -6,    -6,    -6,    -1,    7,     9,     12,    6,     4,     4,     2,
    -1,    2,     3,     3,     5,     4,     -1,    -13,   -19,   -29,   -34,
    -39,   -43,   -49,   -54,   -53,   -55,   -55,   -56,   -59,   -58,   -49,
    -41,   -32,   -19,   -10,   -2,    -4,    -1,    -6,    -19,   -27,   -26,
    -27,   -27,   -21,   -22,   -20,   -26,   -26,   -20,   -20,   -20,   -21,
    -17,   -18,   -7,    -6,    -6,    -5,    -1,    7,     18,    10,    16,
    25,    24,    31,    30,    32,    30,    26,    24,    22,    23,    21,
    23,    21,    24,    19,    17,    13,    12,    15,    6,     2,     -5,
    -9,    -13,   -10,   -5,    1,     10,    13,    17,    13,    8,     5,
    5,     6,     5,     13,    19,    16,    14,    12,    7,     15,    18,
    19,    16,    4,     -1,    0,     -1,    -2,    -9,    -15,   -19,   -21,
    -13,   -13,   -10,   -7,    -7,    -7,    -6,    -11,   -22,   -18,   -19,
    -22,   -22,   -19,   -18,   -10,   -7,    -9,    -7,    -12,   -16,   -20,
    -27,   -35,   -37,   -37,   -33,   -24,   -14,   -4,    8,     14,    19,
    19,    16,    12,    6,     2,     -5,    -6,    -11,   -17,   -16,   -14,
    -13,   -12,   -17,   -21,   -22,   -24,   -18,   -14,   -12,   -1,    4,
    9,     17,    14,    9,     13,    14,    13,    14,    14,    12,    11,
    15,    11,    16,    21,    20,    20,    22,    31,    30,    26,    15,
    13,    6,     8,     5,     1,     -5,    -3,    2,     9,     14,    13,
    16,    17,    18,    13,    10,    8,     7,     9,     12,    21,    23,
    23,    21,    19,    16,    14,    5,     -4,    -12,   -15,   -16,   -12,
    -9,    -12,   -14,   -17,   -16,   -15,   -14,   -15,   -28,   -27,   -24,
    -12,   -8,    -3,    3,     9,     15,    18,    25,    25,    31,    32,
    35,    36,    33,    36,    24,    13,    2,     -11,   -19,   -18,   -18,
    -10,   -6,    -4,    0,     -3,    -3,    -15,   -18,   -17,   -9,    -7,
    2,     5,     7,     6,     2,     -2,    -12,   -16,   -16,   -9,    -3,
    6,     8,     15,    17,    16,    18,    11,    5,     -4,    -8,    -17,
    -16,   -22,   -24,   -25,   -28,   -23,   -19,   -11,   -3,    5,     11,
    22,    26,    29,    24,    14,    12,    7,     6,     -2,    -1,    2,
    10,    23,    33,    36,    32,    31,    16,    3,     -4,    -3,    -3,
    1,     8,     11,    13,    12,    8,     3,     5,     3,     1,     -1,
    4,     2,     3,     8,     5,     5,     1,     -2,    -1,    -3,    -1,
    5,     8,     10,    17,    17,    15,    19,    27,    18,    21,    23,
    19,    20,    15,    1,     -7,    -18,   -24,   -24,   -33,   -28,   -32,
    -30,   -30,   -30,   -30,   -29,   -30,   -41,   -43,   -50,   -51,   -49,
    -42,   -32,   -19,   -10,   0,     4,     -2,    5,     9,     8,     12,
    19,    17,    10,    9,     3,     1,     -4,    -8,    -4,    0,     5,
    7,     10,    9,     12,    0,     -6,    -7,    -13,   -16,   -10,   -10,
    -9,    -1,    -1,    -2,    -6,    -11,   -14,   -17,   -18,   -10,   -3,
    -3,    0,     6,     1,     6,     4,     3,     3,     9,     16,    22,
    28,    27,    32,    18,    21,    25,    20,    21,    18,    18,    22,
    23,    15,    8,     -3,    -9,    -10,   -13,   -8,    3,     7,     18,
    26,    23,    26,    30,    17,    11,    9,     -1,    0,     2,     2,
    12,    15,    6,     1,     0,     -5,    2,     1,     -3,    -1,    -6,
    -2,    -4,    -11,   -18,   -30,   -38,   -36,   -33,   -32,   -27,   -19,
    -18,   -14,   -13,   -16,   -11,   -12,   -12,   -4,    0,     7,     13,
    13,    10,    11,    6,     3,     3,     3,     4,     10,    4,     -1,
    -3,    -11,   -21,   -27,   -34,   -33,   -31,   -33,   -28,   -22,   -21,
    -14,   -8,    -13,   -10,   -8,    -12,   -7,    -11,   -3,    3,     5,
    7,     7,     -1,    -12,   -13,   -17,   -21,   -8,    -2,    4,     7,
    13,    18,    18,    16,    15,    13,    11,    15,    13,    12,    17,
    18,    15,    15,    11,    -3,    -1,    2,     11,    15,    10,    18,
    13,    10,    12,    9,     2,     2,     4,     -1,    6,     9,     11,
    5,     7,     13,    8,     9,     10,    11,    9,     7,     11,    5,
    3,     1,     -9,    -19,   -31,   -40,   -42,   -33,   -27,   -24,   -22,
    -20,   -25,   -20,   -12,   -17,   -23,   -23,   -25,   -25,   -20,   -18,
    -17,   -19,   -15,   -22,   -20,   -19,   -13,   -8,    -12,   0,     2,
    -6,    -1,    -5,    -15,   -10,   -12,   -19,   -8,    -6,    -3,    9,
    5,     12,    22,    10,    9,     12,    5,     8,     28,    13,    20,
    25,    11,    16,    19,    10,    15,    14,    6,     23,    19,    18,
    32,    17,    12,    19,    -1,    -8,    11,    -4,    -8,    9,     -4,
    -6,    0,     -10,   -7,    -3,    -8,    -11,   -11,   -23,   -7,    -4,
    -4,    14,    6,     4,     9,     3,     -4,    4,     2,     9,     26,
    19,    26,    33,    22,    22,    24,    13,    20,    18,    18,    28,
    28,    19,    24,    16,    -1,    1,     -12,   -34,   -28,   -25,   -27,
    -13,   6,     8,     21,    25,    22,    19,    3,     4,     0,     -5,
    6,     8,     1,     6,     8,     -4,    -3,    -10,   -23,   -17,   -9,
    -10,   3,     6,     -1,    3,     -10,   -22,   -28,   -49,   -49,   -36,
    -29,   -10,   8,     -1,    4,     14,    -3,    -14,   -5,    -16,   -10,
    8,     7,     21,    24,    17,    25,    15,    -4,    13,    -7,    -23,
    0,     -7,    -14,   12,    1,     -18,   -10,   -27,   -43,   -31,   -34,
    -19,   -3,    -10,   15,    20,    -7,    10,    9,     -20,   7,     28,
    14,    42,    54,    32,    34,    24,    5,     10,    -11,   -13,   11,
    -6,    -4,    31,    7,     0,     34,    3,     -9,    5,     -24,   -33,
    -14,   -11,   -1,    8,     0,     10,    7,     -7,    11,    10,    -6,
    17,    16,    0,     10,    3,     -26,   -23,   -33,   -39,   -26,   -29,
    -18,   -6,    -9,    -1,    5,     -11,   -6,    7,     -6,    1,     13,
    8,     1,     3,     -13,   -23,   -25,   -33,   -28,   -21,   -9,    2,
    4,     1,     8,     4,     -13,   -5,    -12,   -14,   3,     14,    18,
    26,    30,    21,    20,    15,    15,    10,    5,     13,    11,    20,
    25,    29,    18,    19,    9,     -10,   -15,   -13,   -12,   1,     16,
    20,    30,    39,    37,    21,    15,    3,     -7,    -9,    -1,    2,
    -6,    -7,    -10,   -20,   -19,   -19,   -31,   -25,   -12,   -15,   -13,
    -17,   -18,   -14,   -24,   -24,   -18,   -28,   -24,   -3,    1,     17,
    46,    48,    43,    46,    34,    12,    6,     -14,   -19,   -10,   -14,
    3,     15,    3,     7,     7,     -13,   4,     9,     -2,    3,     22,
    19,    25,    41,    48,    46,    36,    42,    40,    24,    33,    50,
    29,    30,    57,    35,    13,    29,    17,    -9,    5,     15,    7,
    13,    38,    47,    40,    56,    72,    42,    29,    40,    18,    14,
    36,    52,    50,    58,    55,    42,    22,    20,    13,    -8,    8,
    32,    26,    41,    70,    48,    51,    65,    36,    27,    23,    4,
    5,     1,     -3,    2,     -8,    -23,   -6,    -30,   -46,   -24,   -40,
    -45,   -22,   -32,   -35,   -24,   -50,   -41,   -35,   -56,   -38,   -29,
    -55,   -25,   -7,    -40,   -26,   -25,   -63,   -51,   -40,   -61,   -47,
    -38,   -38,   -5,    2,     3,     26,    -1,    -7,    8,     -20,   -17,
    10,    -14,   -6,    41,    24,    27,    52,    26,    13,    25,    5,
    -6,    2,     -7,    -2,    10,    4,     29,    36,    30,    74,    93,
    91,    131,   150,   132,   167,   177,   158,   189,   188,   178,   200,
    199,   187,   212,   202,   188,   210,   188,   173,   187,   175,   183,
    215,   218,   236,   264,   253,   279,   296,   275,   290,   288,   261,
    261,   261,   230,   216,   199,   157,   160,   147,   115,   108,   84,
    50,    32,    7,     -30,   -56,   -96,   -130,  -146,  -179,  -199,  -223,
    -255,  -280,  -293,  -326,  -341,  -352,  -391,  -410,  -429,  -464,  -489,
    -507,  -538,  -559,  -577,  -602,  -634,  -656,  -679,  -696,  -702,  -700,
    -699,  -700,  -687,  -666,  -665,  -656,  -634,  -626,  -609,  -572,  -539,
    -518,  -484,  -462,  -444,  -418,  -390,  -364,  -336,  -295,  -245,  -210,
    -175,  -127,  -97,   -63,   -28,   10,    45,    83,    121,   167,   222,
    272,   324,   369,   396,   439,   485,   502,   536,   571,   585,   618,
    656,   676,   705,   729,   744,   767,   776,   786,   798,   796,   813,
    849,   855,   865,   883,   862,   843,   834,   794,   781,   778,   767,
    746,   744,   721,   702,   681,   638,   607,   562,   521,   490,   447,
    398,   361,   313,   255,   204,   123,   20,    -59,   -143,  -217,  -270,
    -328,  -400,  -462,  -529,  -607,  -666,  -737,  -797,  -854,  -906,  -936,
    -944,  -955,  -965,  -976,  -993,  -1003, -1007, -1032, -1040, -1045, -1055,
    -1039, -1016, -1003, -990,  -995,  -1026, -1046, -1070, -1079, -1058, -1060,
    -1062, -1028, -1010, -1006, -991,  -1000, -1004, -987,  -981,  -958,  -921,
    -890,  -852,  -798,  -754,  -713,  -681,  -682,  -658,  -617,  -585,  -524,
    -452,  -404,  -332,  -258,  -224,  -183,  -144,  -132,  -94,   -64,   -31,
    37,    99,    147,   219,   280,   329,   389,   439,   483,   563,   632,
    702,   799,   884,   965,   1050,  1107,  1150,  1209,  1260,  1308,  1383,
    1446,  1514,  1582,  1632,  1679,  1727,  1770,  1804,  1837,  1872,  1916,
    1961,  1999,  2038,  2071,  2089,  2097,  2107,  2091,  2084,  2072,  2051,
    2021,  1998,  1940,  1868,  1814,  1734,  1641,  1559,  1480,  1395,  1305,
    1213,  1115,  1015,  901,   785,   667,   520,   381,   256,   110,   -26,
    -141,  -284,  -417,  -528,  -670,  -805,  -935,  -1080, -1206, -1324, -1438,
    -1527, -1622, -1725, -1798, -1879, -1956, -2006, -2063, -2128, -2166, -2201,
    -2238, -2257, -2292, -2316, -2337, -2357, -2356, -2362, -2382, -2375, -2368,
    -2367, -2358, -2337, -2329, -2318, -2296, -2273, -2240, -2195, -2140, -2095,
    -2044, -1990, -1932, -1872, -1803, -1737, -1673, -1602, -1520, -1428, -1325,
    -1219, -1112, -1006, -896,  -780,  -681,  -591,  -481,  -388,  -294,  -189,
    -85,   30,    148,   252,   348,   466,   579,   692,   811,   918,   1041,
    1162,  1271,  1389,  1507,  1611,  1735,  1864,  1965,  2085,  2203,  2312,
    2436,  2536,  2614,  2697,  2760,  2812,  2886,  2956,  3010,  3066,  3088,
    3098,  3120,  3110,  3101,  3106,  3108,  3130,  3149,  3139,  3122,  3085,
    3016,  2951,  2874,  2770,  2671,  2559,  2435,  2315,  2198,  2059,  1915,
    1761,  1570,  1387,  1185,  984,   787,   601,   413,   224,   40,    -158,
    -348,  -560,  -760,  -960,  -1147, -1312, -1471, -1621, -1779, -1925, -2069,
    -2206, -2333, -2463, -2570, -2664, -2743, -2811, -2860, -2886, -2934, -2976,
    -3015, -3057, -3074, -3076, -3079, -3060, -3032, -2998, -2950, -2920, -2893,
    -2863, -2837, -2806, -2761, -2715, -2662, -2607, -2554, -2486, -2402, -2325,
    -2264, -2190, -2127, -2063, -1989, -1932, -1862, -1788, -1724, -1640, -1545,
    -1455, -1346, -1234, -1112, -984,  -859,  -735,  -610,  -494,  -384,  -280,
    -176,  -68,   40,    140,   244,   363,   478,   596,   739,   876,   1001,
    1128,  1240,  1352,  1474,  1595,  1717,  1853,  1972,  2093,  2215,  2328,
    2432,  2533,  2641,  2744,  2855,  2949,  3055,  3157,  3242,  3329,  3415,
    3479,  3528,  3569,  3588,  3617,  3649,  3676,  3708,  3747,  3751,  3753,
    3744,  3693,  3640,  3576,  3470,  3369,  3248,  3098,  2976,  2838,  2690,
    2557,  2395,  2222,  2055,  1872,  1675,  1488,  1279,  1057,  851,   623,
    393,   180,   -74,   -315,  -537,  -771,  -979,  -1161, -1373, -1558, -1729,
    -1932, -2110, -2294, -2478, -2636, -2785, -2917, -3007, -3094, -3183, -3247,
    -3319, -3402, -3450, -3510, -3564, -3595, -3622, -3635, -3627, -3635, -3639,
    -3620, -3620, -3610, -3596, -3581, -3535, -3495, -3455, -3410, -3361, -3323,
    -3265, -3202, -3141, -3078, -3001, -2919, -2830, -2739, -2640, -2540, -2430,
    -2320, -2192, -2057, -1909, -1761, -1603, -1422, -1244, -1059, -887,  -726,
    -570,  -425,  -256,  -92,   69,    238,   411,   557,   728,   910,   1066,
    1229,  1403,  1561,  1727,  1895,  2050,  2208,  2352,  2492,  2638,  2765,
    2893,  3025,  3145,  3263,  3387,  3496,  3595,  3707,  3804,  3884,  3975,
    4046,  4105,  4167,  4204,  4220,  4237,  4243,  4247,  4260,  4255,  4251,
    4246,  4201,  4143,  4092,  3996,  3885,  3772,  3604,  3435,  3283,  3086,
    2923,  2742,  2535,  2341,  2130,  1887,  1649,  1411,  1137,  915,   659,
    398,   163,   -81,   -351,  -580,  -814,  -1069, -1262, -1476, -1689, -1850,
    -2043, -2237, -2395, -2591, -2763, -2918, -3095, -3224, -3319, -3435, -3508,
    -3582, -3698, -3772, -3858, -3950, -4008, -4047, -4088, -4093, -4085, -4098,
    -4064, -4052, -4057, -4033, -4028, -4018, -3991, -3971, -3933, -3865, -3802,
    -3727, -3633, -3562, -3477, -3392, -3300, -3210, -3115, -3018, -2924, -2819,
    -2721, -2606, -2490, -2381, -2246, -2111, -1963, -1810, -1638, -1460, -1293,
    -1132, -980,  -828,  -666,  -496,  -322,  -125,  72,    264,   470,   676,
    879,   1087,  1280,  1457,  1633,  1799,  1970,  2152,  2327,  2501,  2678,
    2840,  3007,  3165,  3301,  3434,  3558,  3667,  3791,  3912,  4023,  4140,
    4257,  4359,  4475,  4554,  4614,  4656,  4682,  4697,  4726,  4749,  4775,
    4810,  4812,  4812,  4810,  4768,  4697,  4620,  4502,  4368,  4210,  4031,
    3860,  3663,  3472,  3291,  3076,  2849,  2642,  2392,  2140,  1890,  1610,
    1325,  1064,  782,   494,   231,   -50,   -329,  -593,  -861,  -1112, -1345,
    -1588, -1812, -2022, -2257, -2467, -2682, -2924, -3126, -3317, -3495, -3630,
    -3737, -3855, -3941, -4031, -4128, -4200, -4281, -4348, -4388, -4427, -4449,
    -4444, -4450, -4458, -4452, -4464, -4460, -4451, -4444, -4425, -4384, -4344,
    -4289, -4234, -4160, -4076, -4000, -3917, -3837, -3753, -3669, -3558, -3460,
    -3354, -3230, -3111, -2966, -2824, -2665, -2495, -2333, -2151, -1951, -1752,
    -1554, -1367, -1222, -1053, -882,  -716,  -520,  -331,  -141,  62,    270,
    476,   707,   923,   1133,  1349,  1534,  1735,  1943,  2124,  2317,  2511,
    2668,  2839,  3002,  3140,  3317,  3481,  3615,  3771,  3920,  4050,  4196,
    4319,  4430,  4556,  4657,  4765,  4868,  4945,  4999,  5057,  5075,  5100,
    5123,  5133,  5134,  5127,  5104,  5084,  5058,  4968,  4896,  4750,  4575,
    4381,  4179,  3971,  3776,  3590,  3394,  3209,  2991,  2800,  2535,  2269,
    1972,  1654,  1319,  998,   697,   384,   105,   -187,  -476,  -759,  -1047,
    -1316, -1579, -1841, -2085, -2317, -2550, -2745, -2938, -3145, -3326, -3523,
    -3706, -3859, -3998, -4124, -4218, -4288, -4346, -4386, -4437, -4495, -4550,
    -4619, -4680, -4732, -4779, -4813, -4820, -4842, -4825, -4791, -4773, -4742,
    -4715, -4709, -4683, -4652, -4605, -4527, -4428, -4315, -4194, -4086, -3978,
    -3872, -3779, -3685, -3569, -3458, -3313, -3121, -2921, -2693, -2454, -2230,
    -1998, -1783, -1588, -1414, -1240, -1069, -886,  -690,  -473,  -256,  -36,
    170,   384,   594,   797,   1015,  1235,  1449,  1664,  1882,  2098,  2311,
    2504,  2681,  2843,  3019,  3171,  3337,  3534,  3709,  3885,  4072,  4235,
    4380,  4524,  4641,  4746,  4864,  4979,  5087,  5213,  5308,  5393,  5450,
    5468,  5475,  5472,  5452,  5462,  5467,  5453,  5451,  5425,  5342,  5255,
    5113,  4914,  4725,  4512,  4273,  4053,  3866,  3632,  3436,  3205,  2955,
    2705,  2420,  2095,  1794,  1503,  1195,  941,   639,   342,   56,    -269,
    -601,  -894,  -1208, -1499, -1736, -1994, -2239, -2426, -2652, -2891, -3099,
    -3361, -3588, -3793, -4013, -4183, -4302, -4439, -4523, -4613, -4734, -4809,
    -4891, -4999, -5056, -5090, -5131, -5092, -5061, -5044, -4987, -4954, -4955,
    -4924, -4911, -4873, -4809, -4755, -4673, -4555, -4440, -4316, -4187, -4088,
    -3986, -3881, -3802, -3717, -3605, -3495, -3359, -3207, -3063, -2889, -2698,
    -2504, -2306, -2088, -1861, -1627, -1415, -1201, -1000, -799,  -593,  -410,
    -220,  -7,    203,   412,   634,   865,   1126,  1367,  1602,  1838,  2052,
    2257,  2474,  2659,  2863,  3076,  3255,  3429,  3617,  3773,  3939,  4102,
    4222,  4358,  4501,  4611,  4733,  4846,  4939,  5056,  5147,  5217,  5301,
    5357,  5388,  5428,  5417,  5400,  5430,  5422,  5406,  5442,  5446,  5431,
    5437,  5381,  5304,  5212,  5057,  4874,  4683,  4465,  4249,  4026,  3767,
    3545,  3304,  3021,  2741,  2450,  2113,  1807,  1490,  1151,  841,   544,
    212,   -102,  -439,  -788,  -1091, -1413, -1730, -2033, -2336, -2627, -2854,
    -3118, -3350, -3560, -3781, -4008, -4194, -4376, -4524, -4640, -4757, -4865,
    -4945, -5016, -5083, -5131, -5170, -5184, -5198, -5208, -5211, -5210, -5209,
    -5192, -5174, -5154, -5108, -5052, -5002, -4932, -4854, -4780, -4704, -4604,
    -4514, -4421, -4309, -4208, -4111, -4004, -3880, -3751, -3622, -3496, -3367,
    -3210, -3047, -2867, -2654, -2430, -2177, -1897, -1651, -1417, -1182, -983,
    -793,  -593,  -406,  -211,  17,    232,   461,   716,   958,   1197,  1441,
    1674,  1899,  2130,  2355,  2573,  2788,  3004,  3220,  3419,  3612,  3809,
    3973,  4120,  4277,  4433,  4573,  4742,  4902,  5037,  5165,  5282,  5377,
    5460,  5539,  5596,  5654,  5716,  5741,  5759,  5770,  5776,  5762,  5751,
    5737,  5706,  5675,  5644,  5550,  5446,  5324,  5169,  4974,  4767,  4530,
    4289,  4067,  3823,  3621,  3391,  3145,  2878,  2575,  2228,  1890,  1525,
    1149,  807,   473,   145,   -152,  -454,  -769,  -1057, -1374, -1703, -2033,
    -2372, -2701, -2977, -3258, -3495, -3694, -3897, -4089, -4270, -4483, -4668,
    -4840, -5015, -5140, -5225, -5304, -5334, -5350, -5390, -5398, -5403, -5428,
    -5438, -5449, -5472, -5463, -5441, -5401, -5333, -5252, -5151, -5051, -4974,
    -4880, -4805, -4729, -4626, -4526, -4403, -4248, -4088, -3939, -3778, -3617,
    -3464, -3308, -3173, -3027, -2852, -2669, -2461, -2233, -1979, -1713, -1455,
    -1216, -996,  -796,  -610,  -397,  -198,  21,    272,   517,   775,   1037,
    1295,  1544,  1790,  2007,  2211,  2423,  2634,  2848,  3081,  3319,  3551,
    3792,  4000,  4171,  4303,  4418,  4518,  4596,  4679,  4807,  4913,  5044,
    5172,  5288,  5405,  5518,  5609,  5664,  5713,  5735,  5735,  5737,  5701,
    5691,  5656,  5633,  5611,  5552,  5475,  5394,  5293,  5177,  5064,  4924,
    4737,  4599,  4420,  4237,  4048,  3828,  3623,  3413,  3183,  2915,  2622,
    2308,  1980,  1657,  1261,  901,   549,   205,   -85,   -383,  -688,  -969,
    -1246, -1530, -1850, -2206, -2561, -2915, -3224, -3482, -3713, -3921, -4107,
    -4287, -4470, -4660, -4850, -5057, -5239, -5395, -5540, -5619, -5697, -5724,
    -5697, -5675, -5633, -5590, -5579, -5530, -5486, -5442, -5426, -5391, -5348,
    -5276, -5197, -5124, -5039, -4925, -4808, -4677, -4581, -4479, -4343, -4218,
    -4087, -3970, -3858, -3729, -3570, -3384, -3206, -3020, -2839, -2636, -2453,
    -2287, -2185, -2154, -1926, -1562, -1223, -758,  -473,  -64,   395,   599,
    880,   814,   938,   1172,  1498,  1928,  2127,  2422,  2608,  2841,  2937,
    2886,  2815,  2985,  3324,  3757,  4152,  4481,  4652,  4917,  4965,  4766,
    4583,  4328,  4503,  4815,  5118,  5408,  5682,  5956,  6082,  6055,  5744,
    5426,  5341,  5427,  5606,  5882,  6065,  6226,  6428,  6477,  6385,  6009,
    5728,  5552,  5439,  5339,  5200,  5008,  4947,  4835,  4614,  4330,  3887,
    3521,  3111,  2460,  1983,  1297,  650,   279,   -353,  -720,  -1044, -1518,
    -1668, -2117, -2496, -2743, -3266, -3607, -3790, -4149, -4075, -4042, -4096,
    -3981, -4138, -4226, -4214, -4503, -4455, -4577, -4642, -4346, -4351, -4270,
    -4263, -4522, -4521, -4673, -4814, -4731, -4950, -5011, -5004, -5288, -5341,
    -5566, -5833, -5783, -5929, -5847, -5765, -5828, -5644, -5613, -5615, -5428,
    -5291, -5014, -4554, -4277, -3964, -3854, -3829, -3612, -3603, -3438, -3137,
    -2831, -2164, -1438, -939,  -330,  -156,  46,    242,   73,    242,   220,
    239,   542,   565,   739,   872,   801,   857,   676,   543,   586,   567,
    828,   1142,  1490,  1985,  2508,  2982,  3438,  3699,  3939,  4069,  4178,
    4420,  4622,  4917,  5338,  5801,  6285,  6658,  6963,  7213,  7233,  7328,
    7176,  7038,  7031,  6860,  6957,  6767,  6599,  6523,  6212,  6147,  6063,
    5860,  6020,  6015,  6033,  6184,  5722,  5607,  5016,  4337,  4063,  3229,
    3080,  3006,  2804,  3035,  2541,  2136,  1879,  1012,  401,   -575,  -1584,
    -1930, -2278, -2485, -2477, -2712, -2747, -2766, -3320, -3592, -4188, -4669,
    -4672, -4939, -4789, -4426, -4203, -3674, -3563, -3656, -3759, -4067, -4257,
    -4522, -4970, -5204, -5237, -5139, -4907, -4911, -4917, -4921, -5007, -5230,
    -5654, -6122, -6464, -6733, -6948, -7067, -6972, -6800, -6520, -6132, -5830,
    -5382, -5091, -4797, -4546, -4472, -4362, -4350, -4235, -3851, -3454, -3144,
    -2735, -2341, -1845, -1262, -958,  -549,  -166,  66,    382,   366,   352,
    341,   85,    -13,   -176,  -303,  -235,  -341,  -309,  -227,  -249,  -50,
    143,   384,   874,   1149,  1552,  2155,  2767,  3499,  3994,  4460,  4920,
    5288,  5569,  5704,  5881,  6094,  6461,  6653,  6803,  7115,  7311,  7521,
    7612,  7443,  7380,  7124,  6742,  6495,  5964,  5656,  5415,  5167,  5656,
    5813,  6027,  6401,  6351,  6787,  7019,  6581,  6512,  5965,  5308,  5140,
    4336,  4147,  3899,  3398,  3360,  2830,  2624,  1968,  1026,  395,   -699,
    -1424, -2327, -3006, -3192, -3435, -3337, -3686, -3513, -3350, -3502, -3261,
    -3878, -4005, -4063, -4187, -3767, -3598, -3384, -3300, -3094, -2857, -3023,
    -3274, -3851, -4352, -4523, -4943, -5477, -5612, -5682, -5733, -5714, -5965,
    -6110, -5950, -6158, -6548, -6897, -7165, -7281, -7352, -7258, -7185, -6659,
    -5946, -5470, -4738, -4046, -3707, -3210, -3108, -3270, -3227, -3222, -3218,
    -3017, -2943, -2668, -2296, -1593, -1061, -811,  -403,  -513,  -361,  -128,
    -595,  -633,  -991,  -1205, -1159, -1284, -1330, -1164, -999,  -729,  -538,
    -336,  27,    350,   794,   1245,  1646,  2446,  3210,  4017,  4835,  5271,
    5739,  6028,  6140,  6212,  6161,  6066,  5984,  6081,  5995,  6152,  6301,
    6278,  6424,  6377,  6396,  6362,  6152,  5788,  5309,  5071,  4860,  4704,
    4804,  4919,  5258,  5869,  6121,  6365,  6694,  6692,  6694,  6532,  6187,
    5808,  5704,  5302,  4816,  4611,  4043,  3775,  3249,  2600,  1933,  982,
    336,   -848,  -1538, -2242, -3103, -3374, -3756, -3975, -4017, -4061, -3972,
    -3749, -3609, -3853, -3850, -3714, -3760, -3736, -3914, -3923, -3830, -3541,
    -3649, -3757, -3661, -3913, -4038, -4231, -4594, -4769, -5009, -5273, -5588,
    -5676, -5937, -5997, -6060, -6164, -6414, -6623, -6765, -6857, -6771, -6921,
    -6914, -6535, -6187, -5626, -5206, -4742, -4189, -3618, -3120, -2823, -2606,
    -2550, -2703, -2736, -2626, -2498, -2406, -2133, -1852, -1348, -753,  -318,
    162,   330,   524,   375,   9,     -204,  -866,  -1249, -1532, -1669, -1455,
    -1235, -723,  -283,  262,   535,   862,   1340,  1712,  2316,  2625,  3171,
    4015,  4698,  5516,  6006,  6452,  6838,  6921,  7003,  6735,  6339,  6138,
    5768,  5575,  5593,  5568,  5728,  6041,  6233,  6260,  6175,  6048,  5728,
    5366,  4931,  4340,  4194,  4174,  4330,  4743,  5028,  5754,  6250,  6598,
    7120,  7114,  6962,  6675,  6157,  5373,  4797,  4081,  3237,  3153,  2588,
    2143,  1639,  1021,  681,   -149,  -816,  -1987, -3003, -3493, -4138, -4420,
    -4607, -4841, -4725, -4254, -4033, -3845, -3842, -4063, -4035, -4099, -4582,
    -4718, -4779, -4689, -4437, -4327, -4352, -4119, -3881, -4061, -4345, -4768,
    -5248, -5610, -5920, -6383, -6779, -6731, -6673, -6677, -6597, -6659, -6619,
    -6417, -6516, -6862, -7017, -7069, -6944, -6715, -6376, -6000, -5162, -4333,
    -3577, -2884, -2355, -1807, -1366, -1380, -1590, -1869, -1962, -1945, -2006,
    -2141, -1960, -1516, -1025, -471,  -135,  85,    348,   239,   -8,    -475,
    -951,  -1245, -1520, -1569, -1448, -1188, -517,  134,   827,   1585,  2114,
    2792,  3214,  3651,  4230,  4546,  4894,  5321,  5588,  6105,  6583,  6877,
    7014,  7087,  7068,  6876,  6695,  6280,  5684,  5385,  5205,  5064,  5033,
    5028,  5080,  5322,  5510,  5461,  5390,  5541,  5494,  5443,  5306,  5065,
    5193,  5338,  5513,  5818,  5911,  6345,  6506,  6514,  6543,  5981,  5703,
    5082,  4228,  3517,  2424,  1880,  1245,  562,   -130,  -864,  -1156, -1561,
    -1970, -2597, -3357, -3707, -4189, -4521, -4975, -5477, -5478, -5585, -5445,
    -5353, -5327, -4971, -4580, -4431, -4469, -4432, -4422, -4275, -4227, -4507,
    -4745, -4758, -4752, -4845, -4933, -5118, -5117, -5124, -5324, -5673, -5971,
    -6152, -6366, -6702, -6970, -7159, -7136, -6929, -6917, -6703, -6520, -6302,
    -5794, -5484, -5123, -4694, -4254, -3722, -3334, -2917, -2410, -1721, -1010,
    -584,  -312,  27,    321,   327,   214,   -17,   -363,  -402,  -550,  -638,
    -469,  -315,  -86,   142,   242,   387,   448,   458,   423,   321,   194,
    285,   417,   717,   1176,  1673,  2402,  3144,  3985,  4764,  5406,  6056,
    6507,  6783,  6891,  6868,  6850,  6717,  6532,  6359,  6248,  6303,  6279,
    6140,  6071,  5927,  5687,  5480,  5146,  4835,  4572,  4447,  4481,  4578,
    4840,  4936,  5246,  5659,  5732,  5856,  5658,  5403,  5282,  5004,  4949,
    4843,  4681,  4884,  4886,  4967,  5108,  4781,  4647,  4240,  3443,  2768,
    1830,  983,   309,   -769,  -1382, -1987, -2553, -2750, -3346, -3555, -4052,
    -4400, -4599, -5196, -5437, -5945, -6340, -6343, -6554, -6611, -6381, -6184,
    -5681, -5398, -5098, -4751, -4529, -4138, -4100, -4088, -4044, -4186, -4189,
    -4263, -4453, -4465, -4598, -4651, -4726, -4919, -4926, -5142, -5286, -5490,
    -5831, -6002, -6341, -6492, -6562, -6710, -6553, -6506, -6219, -5766, -5521,
    -5008, -4556, -4002, -3293, -2769, -2069, -1467, -824,  -34,   509,   1034,
    1385,  1560,  1650,  1664,  1419,  1016,  834,   511,   353,   381,   299,
    523,   833,   956,   1280,  1492,  1425,  1547,  1350,  1143,  1114,  931,
    1054,  1217,  1583,  2217,  2917,  4017,  4965,  5827,  6816,  7393,  7875,
    8197,  8175,  7924,  7578,  7040,  6566,  6242,  5746,  5530,  5334,  5222,
    5237,  5074,  5146,  5011,  4902,  4753,  4442,  4482,  4254,  4247,  4319,
    4187,  4516,  4690,  4935,  5193,  5229,  5350,  5332,  5486,  5386,  5143,
    4999,  4494,  4304,  3961,  3421,  2781,  2032,  1404,  614,   -88,   -956,
    -1714, -2155, -2684, -3038, -3237, -3368, -3423, -3569, -3809, -4213, -4533,
    -4973, -5514, -6011, -6663, -7084, -7258, -7158, -6947, -6639, -6111, -5548,
    -4887, -4362, -4043, -3895, -3940, -4107, -4452, -4836, -5143, -5500, -5532,
    -5510, -5485, -5096, -4739, -4375, -4065, -4063, -4094, -4252, -4576, -4904,
    -5431, -5837, -6190, -6402, -6310, -6292, -5992, -5516, -5025, -4342, -3899,
    -3386, -2697, -2077, -1493, -994,  -392,  232,   931,   1608,  1988,  2360,
    2589,  2639,  2623,  2471,  2121,  1708,  1478,  1181,  1167,  1296,  1279,
    1648,  1859,  2107,  2368,  2359,  2390,  2122,  1904,  1629,  1418,  1502,
    1524,  1859,  2357,  3041,  3909,  4810,  5751,  6449,  7128,  7534,  7767,
    7908,  7699,  7460,  7032,  6647,  6301,  5876,  5556,  5190,  4948,  4762,
    4576,  4464,  4370,  4338,  4275,  4287,  4265,  4320,  4221,  4066,  3947,
    3514,  3379,  3003,  2635,  2534,  2078,  2040,  1950,  1958,  2152,  2085,
    2390,  2321,  2319,  2359,  1851,  1643,  877,   168,   -527,  -1245, -1704,
    -2519, -2739, -3251, -3382, -3236, -3527, -3294, -3523, -3732, -3916, -4434,
    -4888, -5615, -6161, -6729, -7283, -7543, -7920, -7865, -7660, -7430, -7034,
    -6758, -6224, -5866, -5441, -5076, -4998, -4760, -4673, -4539, -4410, -4308,
    -4131, -3992, -3791, -3611, -3448, -3213, -3070, -3046, -3048, -3168, -3244,
    -3354, -3607, -3834, -4170, -4439, -4648, -4864, -4892, -4928, -4821, -4524,
    -4211, -3576, -2819, -1968, -929,  -19,   1029,  2064,  2949,  3716,  4159,
    4450,  4536,  4503,  4301,  3968,  3655,  3242,  2979,  2856,  2744,  2750,
    2771,  2749,  2859,  2850,  2793,  2702,  2402,  2179,  1877,  1672,  1581,
    1543,  1769,  1967,  2485,  3089,  3783,  4662,  5406,  6246,  6950,  7542,
    8016,  8200,  8245,  8027,  7584,  6958,  6241,  5494,  4710,  3974,  3255,
    2653,  2274,  2038,  1986,  1964,  2141,  2321,  2513,  2772,  2756,  2743,
    2636,  2406,  2125,  1836,  1456,  1247,  1145,  995,   1077,  1140,  1290,
    1561,  1685,  1762,  1609,  1391,  1147,  544,   84,    -754,  -1546, -2107,
    -2806, -3137, -3522, -3732, -3826, -3834, -3609, -3493, -3340, -3254, -3499,
    -3621, -3981, -4455, -4859, -5513, -6080, -6626, -7061, -7372, -7556, -7573,
    -7515, -7366, -7091, -6799, -6366, -5887, -5484, -5098, -4746, -4334, -3941,
    -3558, -3269, -3053, -2844, -2663, -2497, -2314, -2227, -2185, -2141, -2139,
    -2070, -2037, -2031, -2062, -2205, -2348, -2544, -2774, -2979, -3298, -3520,
    -3647, -3622, -3395, -3054, -2513, -1829, -948,  64,    1090,  2169,  3127,
    3987,  4712,  5229,  5560,  5754,  5741,  5619,  5401,  5005,  4666,  4287,
    3967,  3734,  3476,  3322,  3203,  3147,  3144,  3116,  3080,  3011,  2871,
    2735,  2544,  2363,  2245,  2075,  2032,  2118,  2263,  2688,  3066,  3605,
    4244,  4746,  5384,  5819,  6151,  6319,  6194,  5938,  5495,  4929,  4305,
    3581,  2924,  2279,  1713,  1372,  1086,  1006,  983,   1006,  1146,  1249,
    1349,  1360,  1231,  1084,  794,   502,   264,   -85,   -238,  -411,  -504,
    -394,  -322,  -51,   188,   420,   589,   624,   666,   573,   338,   -86,
    -564,  -1056, -1560, -1925, -2434, -2806, -3017, -3341, -3320, -3375, -3480,
    -3410, -3567, -3553, -3595, -3805, -3919, -4284, -4482, -4754, -5190, -5354,
    -5806, -6050, -6136, -6387, -6343, -6330, -6206, -5851, -5468, -4960, -4549,
    -4080, -3542, -3150, -2698, -2440, -2318, -2132, -2067, -2081, -2017, -2099,
    -2151, -2060, -2067, -1916, -1823, -1718, -1523, -1386, -1221, -1189, -1141,
    -1014, -1008, -966,  -996,  -1015, -916,  -809,  -648,  -467,  -128,  237,
    735,   1358,  1969,  2697,  3399,  4060,  4732,  5295,  5720,  6077,  6169,
    6139,  5928,  5614,  5292,  4766,  4247,  3705,  3262,  3030,  2827,  2702,
    2684,  2728,  2887,  3092,  3216,  3310,  3313,  3214,  3098,  2873,  2620,
    2343,  2031,  1799,  1589,  1491,  1537,  1645,  1913,  2210,  2548,  2922,
    3295,  3650,  3951,  4100,  4099,  3972,  3740,  3421,  2948,  2427,  1762,
    1136,  574,   44,    -330,  -642,  -846,  -852,  -751,  -520,  -229,  44,
    272,   446,   502,   443,   329,   66,    -191,  -492,  -841,  -1002, -1240,
    -1237, -1199, -1177, -936,  -867,  -660,  -456,  -508,  -464,  -706,  -997,
    -1265, -1780, -2178, -2724, -3270, -3735, -4142, -4378, -4609, -4666, -4749,
    -4575, -4355, -4137, -3767, -3563, -3218, -2970, -2834, -2630, -2716, -2776,
    -2920, -3210, -3363, -3764, -4023, -4125, -4268, -4194, -4223, -4005, -3639,
    -3258, -2891, -2644, -2297, -1987, -1751, -1587, -1570, -1485, -1415, -1342,
    -1194, -1100, -889,  -613,  -267,  161,   482,   865,   1269,  1639,  2005,
    2202,  2381,  2549,  2628,  2700,  2625,  2559,  2481,  2357,  2319,  2192,
    2142,  2199,  2283,  2514,  2670,  2919,  3214,  3510,  3830,  3971,  4080,
    4073,  3911,  3700,  3359,  2954,  2549,  2094,  1766,  1556,  1442,  1462,
    1560,  1808,  2070,  2357,  2606,  2730,  2831,  2737,  2582,  2309,  1931,
    1585,  1178,  834,   529,   288,   214,   218,   302,   470,   679,   944,
    1211,  1420,  1562,  1674,  1631,  1548,  1355,  1072,  776,   375,   25,
    -320,  -614,  -818,  -992,  -991,  -906,  -755,  -525,  -291,  -17,   225,
    447,   528,   546,   466,   270,   96,    -205,  -536,  -861,  -1148, -1383,
    -1586, -1688, -1814, -1783, -1772, -1745, -1630, -1611, -1505, -1488, -1462,
    -1409, -1519, -1489, -1609, -1723, -1755, -1977, -2042, -2132, -2215, -2184,
    -2268, -2205, -2170, -2107, -1978, -1990, -1909, -1886, -1943, -1997, -2152,
    -2326, -2500, -2762, -2987, -3227, -3392, -3522, -3630, -3579, -3469, -3262,
    -2916, -2555, -2103, -1581, -1090, -531,  -20,   457,   873,   1228,  1561,
    1809,  1999,  2105,  2139,  2196,  2201,  2149,  2113,  2038,  1990,  1913,
    1787,  1705,  1595,  1490,  1372,  1201,  1113,  998,   917,   917,   894,
    961,   1007,  1098,  1321,  1470,  1681,  1882,  2067,  2317,  2465,  2626,
    2750,  2777,  2783,  2694,  2569,  2431,  2142,  1843,  1597,  1306,  1069,
    824,   622,   532,   430,   388,   357,   377,   438,   414,   481,   468,
    431,   454,   383,   374,   305,   207,   187,   133,   157,   115,   113,
    206,   244,   382,   475,   591,   753,   821,   916,   908,   855,   754,
    577,   399,   123,   -159,  -399,  -647,  -784,  -923,  -1010, -965,  -918,
    -806,  -647,  -504,  -355,  -253,  -179,  -130,  -138,  -156,  -262,  -339,
    -401,  -552,  -600,  -671,  -697,  -662,  -673,  -616,  -597,  -522,  -495,
    -513,  -490,  -624,  -701,  -804,  -961,  -1073, -1328, -1503, -1656, -1798,
    -1801, -1913, -1863, -1785, -1720, -1453, -1309, -1051, -846,  -715,  -487,
    -457,  -357,  -331,  -400,  -427,  -627,  -765,  -873,  -1021, -1105, -1255,
    -1312, -1357, -1370, -1288, -1261, -1165, -1139, -1062, -917,  -808,  -680,
    -597,  -452,  -277,  -104,  122,   312,   558,   771,   919,   1110,  1205,
    1312,  1355,  1302,  1280,  1151,  1049,  946,   818,   733,   569,   451,
    429,   388,   408,   387,   376,   426,   463,   542,   576,   632,   666,
    673,   740,   766,   791,   845,   829,   857,   841,   822,   835,   796,
    773,   671,   600,   560,   484,   460,   371,   311,   284,   242,   277,
    261,   261,   277,   273,   358,   380,   410,   433,   435,   471,   432,
    414,   386,   330,   294,   194,   149,   108,   69,    84,    69,    92,
    83,    75,    88,    53,    12,    -96,   -194,  -269,  -369,  -438,  -523,
    -553,  -528,  -500,  -392,  -277,  -136,  53,    240,   466,   678,   870,
    1050,  1178,  1294,  1336,  1310,  1247,  1080,  916,   677,   387,   120,
    -182,  -471,  -740,  -972,  -1148, -1273, -1343, -1402, -1363, -1263, -1129,
    -922,  -724,  -518,  -288,  -79,   111,   250,   364,   405,   405,   395,
    284,   199,   83,    -43,   -126,  -244,  -313,  -400,  -451,  -497,  -610,
    -672,  -807,  -951,  -1087, -1325, -1517, -1736, -1929, -2086, -2260, -2318,
    -2356, -2271, -2125, -1967, -1685, -1379, -1000, -598,  -238,  149,   481,
    790,   1042,  1185,  1287,  1274,  1195,  1068,  868,   654,   386,   138,
    -65,   -273,  -450,  -598,  -665,  -670,  -669,  -620,  -553,  -425,  -288,
    -179,  -72,   15,    122,   205,   263,   324,   357,   435,   518,   603,
    709,   779,   892,   1006,  1107,  1170,  1183,  1190,  1173,  1116,  1016,
    890,   750,   628,   488,   331,   197,   95,    43,    25,    1,     22,
    97,    209,   363,   495,   615,   724,   833,   937,   984,   990,   933,
    884,   851,   747,   678,   573,   497,   469,   401,   391,   352,   339,
    352,   337,   354,   361,   370,   402,   411,   418,   440,   468,   526,
    576,   619,   683,   766,   857,   965,   1038,  1114,  1159,  1172,  1167,
    1106,  1006,  840,   644,   426,   177,   -110,  -390,  -665,  -929,  -1160,
    -1375, -1497, -1550, -1592, -1553, -1507, -1394, -1201, -1084, -863,  -685,
    -540,  -322,  -234,  -68,   29,    59,    160,   141,   170,   140,   79,
    77,    -11,   -53,   -179,  -274,  -327,  -480,  -564,  -736,  -884,  -995,
    -1185, -1300, -1461, -1617, -1711, -1832, -1831, -1863, -1865, -1776, -1691,
    -1516, -1353, -1168, -954,  -729,  -490,  -305,  -93,   81,    211,   322,
    364,   392,   384,   332,   264,   146,   29,    -101,  -230,  -357,  -486,
    -616,  -705,  -752,  -801,  -809,  -788,  -750,  -654,  -546,  -456,  -328,
    -200,  -78,   45,    137,   232,   316,   388,   447,   485,   528,   578,
    630,   697,   760,   835,   910,   988,   1068,  1124,  1154,  1157,  1166,
    1163,  1116,  1070,  1024,  994,   986,   988,   1030,  1110,  1212,  1303,
    1411,  1498,  1551,  1599,  1587,  1565,  1481,  1336,  1212,  1028,  847,
    669,   466,   330,   187,   61,    -9,    -54,   -55,   -20,   11,    69,
    133,   195,   244,   253,   225,   182,   133,   62,    -11,   -96,   -168,
    -199,  -214,  -213,  -197,  -167,  -127,  -105,  -86,   -83,   -109,  -140,
    -217,  -323,  -448,  -588,  -717,  -854,  -971,  -1086, -1185, -1211, -1227,
    -1180, -1135, -1099, -992,  -918,  -788,  -704,  -651,  -562,  -542,  -470,
    -421,  -431,  -391,  -429,  -386,  -344,  -336,  -260,  -257,  -162,  -61,
    -6,    100,   120,   178,   215,   179,   132,   15,    -106,  -238,  -416,
    -595,  -765,  -929,  -1066, -1170, -1252, -1278, -1290, -1258, -1173, -1114,
    -1012, -945,  -868,  -741,  -695,  -612,  -547,  -494,  -388,  -332,  -225,
    -110,  22,    182,   318,   496,   677,   835,   992,   1104,  1162,  1166,
    1133,  1054,  916,   709,   430,   164,   -90,   -340,  -600,  -853,  -1033,
    -1135, -1177, -1146, -1079, -946,  -746,  -500,  -208,  83,    377,   673,
    950,   1183,  1356,  1503,  1627,  1707,  1735,  1708,  1678,  1668,  1645,
    1588,  1494,  1419,  1354,  1291,  1194,  1052,  900,   718,   524,   325,
    110,   -114,  -330,  -500,  -630,  -729,  -803,  -834,  -795,  -727,  -627,
    -492,  -325,  -125,  54,    238,   393,   528,   642,   691,   706,   661,
    585,   504,   380,   245,   87,    -61,   -195,  -320,  -435,  -556,  -663,
    -742,  -814,  -883,  -952,  -1009, -1038, -1047, -1067, -1063, -1050, -1020,
    -949,  -888,  -795,  -698,  -574,  -405,  -257,  -70,   68,    203,   381,
    479,   580,   619,   623,   645,   565,   492,   364,   206,   106,   -71,
    -191,  -331,  -460,  -469,  -527,  -471,  -441,  -386,  -222,  -123,  60,
    168,   245,   404,   470,   596,   605,   581,   633,   548,   562,   468,
    355,   334,   192,   161,   62,    -36,   -39,   -146,  -121,  -167,  -243,
    -229,  -302,  -276,  -327,  -415,  -419,  -444,  -396,  -433,  -455,  -407,
    -357,  -244,  -221,  -158,  -63,   36,    172,   210,   296,   326,   351,
    424,   367,   369,   300,   224,   235,   124,   54,    -39,   -122,  -118,
    -239,  -304,  -360,  -403,  -361,  -418,  -427,  -394,  -342,  -259,  -232,
    -176,  -110,  -48,   27,    48,    78,    90,    86,    91,    76,    57,
    -1,    -34,   -53,   -103,  -151,  -209,  -239,  -261,  -319,  -354,  -372,
    -382,  -385,  -411,  -432,  -428,  -431,  -446,  -471,  -496,  -512,  -532,
    -562,  -570,  -567,  -543,  -499,  -457,  -379,  -290,  -204,  -94,   -11,
    78,    155,   196,   234,   222,   198,   160,   113,   64,    5,     -57,
    -108,  -136,  -175,  -186,  -196,  -184,  -125,  -90,   -25,   58,    146,
    271,   372,   472,   562,   636,   709,   741,   760,   752,   730,   710,
    688,   655,   608,   595,   570,   556,   540,   517,   513,   511,   497,
    481,   449,   417,   401,   347,   325,   295,   248,   261,   238,   250,
    294,   295,   367,   380,   416,   454,   430,   479,   443,   431,   430,
    386,   397,   333,   292,   238,   176,   153,   54,    24,    -37,   -84,
    -109,  -172,  -155,  -199,  -220,  -219,  -261,  -227,  -255,  -280,  -266,
    -293,  -277,  -273,  -243,  -214,  -221,  -179,  -153,  -130,  -109,  -154,
    -149,  -151,  -155,  -186,  -243,  -253,  -311,  -326,  -358,  -434,  -427,
    -491,  -533,  -554,  -598,  -596,  -655,  -668,  -679,  -714,  -671,  -694,
    -643,  -607,  -602,  -532,  -496,  -409,  -408,  -377,  -309,  -289,  -211,
    -223,  -196,  -145,  -147,  -104,  -157,  -123,  -125,  -177,  -152,  -229,
    -192,  -204,  -243,  -213,  -259,  -194,  -190,  -172,  -98,   -123,  -43,
    -12,   41,    103,   87,    148,   150,   166,   154,   113,   118,   80,
    54,    8,     4,     25,    12,    59,    70,    162,   260,   305,   387,
    427,   501,   549,   564,   571,   517,   488,   423,   355,   294,   206,
    165,   113,   92,    77,    62,    115,   116,   154,   162,   171,   218,
    210,   221,   208,   192,   215,   176,   169,   114,   89,    89,    52,
    62,    29,    35,    73,    98,    167,   195,   261,   325,   349,   401,
    382,   393,   368,   302,   254,   174,   104,   6,     -78,   -136,  -203,
    -229,  -291,  -303,  -284,  -294,  -241,  -235,  -222,  -186,  -187,  -156,
    -160,  -149,  -122,  -114,  -71,   -44,   -28,   6,     20,    47,    57,
    54,    52,    55,    53,    23,    9,     -16,   -59,   -86,   -158,  -223,
    -292,  -372,  -421,  -498,  -532,  -561,  -570,  -531,  -512,  -456,  -367,
    -297,  -206,  -125,  -37,   26,    88,    147,   157,   188,   169,   152,
    152,   131,   99,    62,    44,    46,    53,    61,    61,    79,    110,
    159,   175,   185,   237,   220,   278,   276,   239,   264,   203,   190,
    138,   70,    34,    -9,    18,    1,     10,    71,    115,   191,   220,
    255,   265,   296,   319,   270,   266,   214,   189,   187,   155,   145,
    123,   149,   166,   172,   186,   179,   195,   213,   201,   182,   161,
    150,   116,   76,    41,    -29,   -58,   -101,  -183,  -209,  -269,  -314,
    -342,  -385,  -379,  -380,  -348,  -304,  -273,  -197,  -144,  -88,   -28,
    -5,    11,    20,    27,    -5,    -24,   -22,   -61,   -73,   -87,   -124,
    -118,  -133,  -150,  -160,  -198,  -196,  -219,  -228,  -239,  -281,  -276,
    -275,  -288,  -277,  -305,  -324,  -302,  -294,  -292,  -266,  -261,  -224,
    -203,  -210,  -190,  -198,  -176,  -180,  -201,  -196,  -198,  -175,  -166,
    -151,  -127,  -114,  -59,   -48,   -8,    39,    75,    126,   131,   168,
    160,   152,   142,   82,    36,    -13,   -49,   -81,   -105,  -105,  -103,
    -65,   -38,   -16,   19,    33,    67,    82,    95,    110,   98,    111,
    98,    87,    67,    54,    66,    52,    49,    53,    71,    106,   139,
    186,   224,   270,   320,   361,   413,   433,   462,   473,   478,   480,
    459,   441,   391,   339,   298,   239,   206,   159,   149,   120,   114,
    117,   95,    106,   81,    67,    61,    30,    11,    -29,   -42,   -76,
    -97,   -98,   -124,  -107,  -107,  -103,  -69,   -71,   -36,   -12,   23,
    69,    86,    129,   152,   158,   162,   152,   127,   81,    48,    -9,
    -80,   -120,  -172,  -201,  -225,  -276,  -297,  -311,  -330,  -339,  -361,
    -375,  -389,  -376,  -365,  -374,  -378,  -375,  -370,  -358,  -347,  -355,
    -338,  -314,  -289,  -244,  -212,  -168,  -129,  -80,   -26,   -12,   47,
    79,    92,    105,   105,   113,   99,    85,    29,    -18,   -53,   -110,
    -133,  -167,  -186,  -196,  -199,  -176,  -177,  -150,  -122,  -106,  -73,
    -61,   -30,   -34,   -29,   -40,   -68,   -63,   -85,   -84,   -71,   -65,
    -40,   -16,   23,    56,    87,    144,   167,   196,   206,   221,   243,
    226,   233,   210,   192,   190,   150,   140,   110,   91,    77,    43,
    27,    -10,   -5,    -5,    -22,   -9,    -7,    27,    48,    59,    64,
    70,    87,    104,   139,   151,   188,   239,   270,   317,   311,   336,
    349,   341,   330,   274,   254,   223,   195,   163,   102,   81,    43,
    20,    8,     -37,   -28,   -31,   -29,   -21,   -39,   -16,   -22,   -11,
    -21,   -41,   -32,   -47,   -39,   -60,   -75,   -71,   -94,   -98,   -131,
    -147,  -139,  -145,  -146,  -165,  -150,  -136,  -112,  -90,   -106,  -86,
    -91,   -87,   -98,   -136,  -121,  -135,  -124,  -132,  -144,  -114,  -108,
    -87,   -74,   -75,   -50,   -30,   -5,    -18,   -24,   -3,    -3,    -6,
    -41,   -76,   -98,   -127,  -159,  -215,  -257,  -263,  -268,  -266,  -262,
    -237,  -194,  -144,  -113,  -99,   -61,   -28,   12,    21,    46,    76,
    92,    130,   115,   123,   132,   135,   149,   134,   133,   132,   135,
    138,   94,    76,    51,    19,    -15,   -72,   -98,   -125,  -135,  -154,
    -174,  -171,  -164,  -139,  -130,  -99,   -74,   -40,   9,     34,    86,
    129,   176,   214,   226,   245,   250,   280,   271,   256,   250,   226,
    234,   212,   187,   178,   148,   144,   104,   79,    64,    37,    36,
    9,     -10,   -23,   -38,   -35,   -62,   -67,   -67,   -82,   -70,   -80,
    -75,   -59,   -34,   -3,    9,     48,    76,    101,   120,   120,   123,
    126,   131,   112,   92,    77,    61,    54,    32,    3,     -18,   -28,
    -39,   -56,   -71,   -91,   -92,   -100,  -124,  -134,  -142,  -144,  -155,
    -177,  -178,  -175,  -171,  -168,  -160,  -141,  -123,  -89,   -73,   -64,
    -46,   -39,   -18,   -19,   -34,   -32,   -46,   -51,   -63,   -74,   -73,
    -81,   -70,   -83,   -71,   -49,   -39,   -12,   -1,    30,    48,    65,
    94,    100,   125,   136,   148,   156,   138,   140,   124,   115,   86,
    58,    57,    32,    43,    40,    44,    63,    60,    83,    90,    99,
    115,   113,   135,   140,   148,   164,   172,   187,   182,   190,   183,
    171,   171,   146,   139,   121,   105,   94,    61,    46,    17,    -6,
    -34,   -70,   -89,   -121,  -138,  -158,  -178,  -190,  -206,  -206,  -210,
    -214,  -204,  -196,  -173,  -154,  -128,  -97,   -81,   -58,   -51,   -46,
    -38,   -47,   -49,   -57,   -58,   -57,   -59,   -49,   -58,   -58,   -54,
    -60,   -48,   -65,   -72,   -72,   -78,   -70,   -77,   -73,   -76,   -79,
    -76,   -90,   -90,   -91,   -88,   -76,   -67,   -43,   -16,   6,     27,
    39,    55,    69,    71,    74,    65,    56,    60,    47,    37,    27,
    8,     -5,    -29,   -50,   -71,   -89,   -96,   -114,  -111,  -113,  -115,
    -105,  -112,  -90,   -78,   -68,   -49,   -46,   -26,   -14,   5,     18,
    10,    14,    3,     5,     -9,    -20,   -15,   -30,   -26,   -33,   -31,
    -23,   -23,   -12,   -21,   -20,   -16,   -23,   -20,   -13,   -7,    6,
    28,    47,    69,    96,    115,   134,   147,   154,   166,   174,   186,
    196,   202,   204,   198,   193,   181,   164,   144,   125,   113,   102,
    96,    90,    92,    91,    96,    99,    99,    100,   99,    99,    93,
    94,    86,    68,    55,    44,    36,    22,    13,    15,    13,    15,
    21,    16,    11,    3,     -15,   -31,   -50,   -75,   -105,  -125,  -145,
    -154,  -155,  -164,  -178,  -189,  -186,  -177,  -174,  -169,  -152,  -134,
    -114,  -93,   -65,   -42,   -23,   -4,    -1,    6,     6,     2,     -4,
    -18,   -26,   -25,   -25,   -23,   -32,   -31,   -33,   -39,   -50,   -68,
    -69,   -74,   -79,   -78,   -83,   -85,   -85,   -77,   -71,   -61,   -42,
    -27,   -3,    28,    59,    95,    123,   146,   155,   160,   162,   144,
    130,   112,   94,    82,    67,    60,    46,    35,    35,    22,    4,
    -14,   -27,   -35,   -45,   -52,   -61,   -62,   -65,   -68,   -55,   -52,
    -43,   -38,   -34,   -20,   -8,    8,     18,    24,    34,    36,    37,
    42,    46,    51,    50,    58,    76,    75,    70,    67,    58,    53,
    48,    36,    23,    18,    10,    3,     9,     14,    24,    39,    43,
    53,    62,    63,    66,    62,    66,    64,    59,    51,    25,    19,
    6,     -10,   -19,   -26,   -35,   -43,   -44,   -37,   -47,   -43,   -50,
    -54,   -60,   -69,   -75,   -84,   -91,   -93,   -98,   -96,   -99,   -91,
    -87,   -91,   -88,   -84,   -80,   -75,   -61,   -48,   -44,   -40,   -37,
    -34,   -45,   -52,   -58,   -72,   -82,   -84,   -78,   -68,   -65,   -63,
    -51,   -42,   -27,   -22,   -13,   -3,    8,     20,    26,    31,    31,
    37,    33,    29,    33,    31,    32,    31,    34,    44,    55,    68,
    74,    69,    75,    73,    72,    65,    63,    67,    70,    83,    81,
    81,    85,    84,    80,    75,    69,    53,    44,    36,    27,    20,
    11,    1,     -4,    -19,   -26,   -27,   -25,   -21,   -14,   -12,   -12,
    -14,   -9,    -21,   -29,   -40,   -50,   -50,   -54,   -46,   -35,   -17,
    -4,    -1,    7,     20,    28,    26,    22,    23,    21,    23,    18,
    13,    12,    7,     6,     3,     2,     -1,    -1,    4,     6,     17,
    29,    35,    34,    34,    32,    28,    33,    26,    22,    16,    16,
    22,    20,    13,    -1,    -1,    -7,    -15,   -20,   -30,   -32,   -38,
    -39,   -45,   -45,   -53,   -63,   -70,   -83,   -96,   -107,  -113,  -122,
    -122,  -118,  -114,  -114,  -113,  -112,  -111,  -110,  -107,  -103,  -102,
    -94,   -80,   -71,   -58,   -52,   -47,   -40,   -43,   -47,   -48,   -50,
    -39,   -46,   -44,   -44,   -44,   -43,   -45,   -41,   -40,   -34,   -32,
    -23,   -12,   -6,    -1,    -1,    6,     12,    18,    20,    22,    32,
    48,    65,    80,    93,    109,   122,   128,   131,   135,   135,   129,
    126,   130,   127,   124,   125,   121,   122,   115,   118,   122,   128,
    137,   143,   143,   141,   142,   134,   131,   121,   109,   105,   97,
    93,    99,    96,    96,    94,    83,    84,    80,    77,    66,    59,
    46,    42,    44,    32,    28,    20,    12,    8,     4,     4,     5,
    3,     -4,    -7,    -6,    -14,   -19,   -24,   -34,   -40,   -45,   -52,
    -61,   -62,   -60,   -57,   -57,   -61,   -63,   -61,   -65,   -73,   -81,
    -89,   -94,   -93,   -89,   -87,   -82,   -82,   -84,   -81,   -86,   -82,
    -84,   -86,   -90,   -86,   -83,   -82,   -81,   -80,   -80,   -76,   -75,
    -76,   -70,   -69,   -68,   -61,   -53,   -50,   -43,   -38,   -42,   -43,
    -41,   -41,   -39,   -34,   -27,   -21,   -16,   -20,   -22,   -27,   -36,
    -39,   -38,   -40,   -37,   -35,   -28,   -14,   -6,    -3,    -2,    2,
    4,     5,     15,    18,    25,    35,    36,    41,    45,    48,    52,
    54,    52,    50,    60,    67,    76,    85,    85,    90,    86,    83,
    84,    77,    77,    72,    77,    81,    89,    91,    93,    99,    101,
    102,   98,    94,    87,    77,    70,    69,    63,    62,    55,    59,
    58,    54,    51,    53,    57,    62,    65,    60,    54,    48,    45,
    40,    29,    17,    8,     -3,    -14,   -17,   -18,   -20,   -25,   -34,
    -40,   -44,   -53,   -56,   -63,   -71,   -71,   -69,   -66,   -62,   -66,
    -67,   -68,   -71,   -75,   -79,   -79,   -73,   -67,   -60,   -49,   -46,
    -45,   -45,   -46,   -55,   -64,   -67,   -72,   -74,   -70,   -68,   -67,
    -69,   -70,   -64,   -56,   -55,   -54,   -51,   -41,   -30,   -26,   -28,
    -29,   -30,   -28,   -25,   -27,   -20,   -12,   -5,    -2,    2,     3,
    -3,    0,     -7,    -8,    -14,   -15,   -9,    -7,    4,     12,    24,
    36,    41,    52,    58,    59,    51,    45,    48,    44,    46,    43,
    40,    42,    47,    53,    52,    52,    63,    69,    74,    75,    80,
    78,    69,    68,    59,    60,    54,    54,    54,    58,    66,    71,
    78,    78,    75,    78,    72,    71,    61,    55,    53,    42,    36,
    31,    28,    29,    23,    19,    25,    27,    27,    23,    29,    29,
    20,    11,    5,     -4,    -10,   -31,   -38,   -39,   -36,   -33,   -27,
    -17,   -15,   -14,   -17,   -13,   -14,   -25,   -33,   -44,   -51,   -61,
    -63,   -63,   -65,   -67,   -66,   -63,   -59,   -52,   -48,   -45,   -44,
    -50,   -62,   -74,   -84,   -89,   -100,  -101,  -102,  -96,   -95,   -85,
    -76,   -78,   -72,   -71,   -66,   -61,   -63,   -60,   -62,   -72,   -69,
    -69,   -58,   -56,   -50,   -37,   -28,   -17,   -17,   -16,   -17,   -18,
    -18,   -13,   -7,    -4,    6,     17,    23,    25,    28,    24,    21,
    17,    21,    27,    30,    33,    35,    46,    49,    48,    54,    56,
    57,    58,    60,    64,    62,    64,    66,    67,    64,    70,    77,
    83,    82,    84,    88,    89,    95,    86,    75,    64,    51,    36,
    29,    26,    21,    26,    31,    38,    40,    55,    63,    65,    65,
    64,    60,    54,    54,    49,    41,    34,    26,    21,    9,     6,
    6,     5,     -1,    3,     5,     3,     2,     -4,    -13,   -13,   -24,
    -32,   -33,   -36,   -33,   -24,   -18,   -15,   -9,    -5,    -5,    -14,
    -17,   -24,   -34,   -36,   -42,   -43,   -36,   -42,   -43,   -43,   -38,
    -36,   -27,   -20,   -23,   -21,   -28,   -25,   -22,   -24,   -25,   -23,
    -22,   -30,   -31,   -26,   -25,   -20,   -15,   -8,    -10,   -11,   -13,
    -18,   -22,   -30,   -36,   -35,   -39,   -35,   -34,   -27,   -24,   -19,
    -15,   -7,    -6,    -7,    -2,    0,     7,     12,    14,    19,    20,
    26,    26,    24,    16,    10,    4,     1,     3,     2,     9,     11,
    17,    19,    27,    31,    31,    32,    30,    27,    25,    28,    27,
    25,    22,    23,    23,    20,    21,    25,    36,    38,    40,    43,
    40,    32,    27,    20,    9,     4,     1,     12,    27,    37,    49,
    63,    73,    72,    73,    70,    67,    53,    39,    33,    26,    23,
    13,    9,     6,     0,     -2,    -3,    0,     -1,    0,     -1,    -4,
    -9,    -16,   -22,   -21,   -24,   -21,   -19,   -12,   -3,    0,     12,
    14,    13,    3,     -6,    -13,   -27,   -34,   -42,   -41,   -44,   -42,
    -43,   -46,   -42,   -40,   -39,   -36,   -31,   -29,   -30,   -22,   -19,
    -21,   -20,   -17,   -17,   -22,   -31,   -41,   -45,   -54,   -65,   -64,
    -68,   -70,   -74,   -70,   -64,   -62,   -61,   -60,   -58,   -52,   -46,
    -43,   -37,   -35,   -40,   -41,   -47,   -52,   -58,   -62,   -61,   -53,
    -54,   -46,   -41,   -40,   -34,   -29,   -20,   -15,   -8,    2,     12,
    28,    35,    41,    42,    42,    43,    41,    43,    39,    45,    44,
    46,    55,    54,    55,    55,    51,    48,    42,    43,    39,    40,
    46,    54,    65,    70,    76,    81,    86,    89,    79,    73,    70,
    62,    56,    52,    39,    32,    28,    17,    18,    19,    18,    15,
    19,    20,    15,    13,    13,    10,    6,     5,     12,    10,    15,
    20,    24,    30,    31,    28,    22,    17,    2,     -15,   -24,   -39,
    -52,   -53,   -55,   -46,   -40,   -34,   -26,   -21,   -22,   -31,   -32,
    -38,   -36,   -35,   -32,   -33,   -34,   -30,   -28,   -27,   -35,   -40,
    -42,   -45,   -44,   -45,   -44,   -52,   -54,   -57,   -57,   -53,   -60,
    -63,   -63,   -65,   -51,   -45,   -40,   -40,   -39,   -39,   -43,   -44,
    -46,   -52,   -46,   -51,   -49,   -45,   -45,   -47,   -47,   -45,   -50,
    -47,   -40,   -35,   -32,   -24,   -17,   -19,   -14,   -13,   -9,    -7,
    -7,    -7,    -9,    0,     3,     7,     13,    12,    14,    15,    13,
    6,     -1,    -3,    -9,    -10,   -5,    -2,    6,     9,     11,    12,
    15,    19,    24,    37,    47,    47,    56,    53,    51,    52,    52,
    47,    39,    38,    40,    41,    43,    44,    42,    43,    42,    41,
    43,    40,    41,    35,    37,    39,    40,    41,    38,    30,    21,
    14,    5,     2,     -1,    -2,    1,     -2,    6,     2,     4,     2,
    -1,    -11,   -16,   -23,   -25,   -20,   -18,   -25,   -27,   -32,   -27,
    -24,   -16,   -15,   -11,   -9,    -3,    -4,    -2,    -9,    -10,   -18,
    -28,   -33,   -38,   -37,   -41,   -41,   -33,   -24,   -22,   -25,   -25,
    -25,   -24,   -33,   -38,   -42,   -52,   -57,   -55,   -50,   -51,   -53,
    -52,   -48,   -49,   -49,   -53,   -55,   -58,   -51,   -34,   -19,   -12,
    -12,   -5,    1,     1,     0,     -6,    -2,    -10,   -11,   -11,   -6,
    0,     -6,    2,     -2,    -6,    2,     5,     16,    18,    18,    21,
    16,    18,    18,    20,    20,    13,    18,    9,     7,     12,    7,
    8,     10,    16,    17,    18,    23,    26,    36,    44,    51,    55,
    60,    64,    69,    68,    71,    70,    62,    58,    52,    44,    35,
    31,    34,    32,    33,    36,    37,    38,    41,    47,    55,    56,
    58,    60,    60,    57,    48,    41,    29,    19,    7,     4,     8,
    9,     10,    8,     13,    15,    13,    8,     8,     6,     4,     10,
    8,     -4,    -6,    -9,    -20,   -28,   -39,   -38,   -27,   -24,   -22,
    -19,   -23,   -32,   -35,   -36,   -41,   -48,   -51,   -50,   -52,   -55,
    -60,   -67,   -72,   -76,   -84,   -82,   -80,   -81,   -75,   -64,   -50,
    -36,   -28,   -18,   -14,   -12,   -15,   -12,   -18,   -24,   -21,   -22,
    -19,   -21,   -19,   -22,   -20,   -18,   -16,   -17,   -19,   -15,   -7,
    1,     0,     0,     9,     14,    20,    24,    20,    16,    17,    20,
    20,    25,    27,    26,    32,    33,    35,    38,    42,    38,    37,
    39,    46,    44,    43,    45,    45,    42,    37,    34,    25,    21,
    22,    33,    44,    49,    54,    53,    58,    54,    51,    46,    40,
    37,    37,    39,    34,    37,    39,    31,    39,    38,    36,    35,
    32,    33,    33,    32,    28,    23,    18,    22,    28,    31,    27,
    18,    3,     4,     0,     -4,    -7,    -15,   -18,   -24,   -32,   -34,
    -39,   -42,   -36,   -31,   -24,   -12,   -10,   -10,   -13,   -20,   -28,
    -34,   -44,   -49,   -50,   -53,   -56,   -54,   -52,   -53,   -47,   -43,
    -41,   -45,   -41,   -38,   -38,   -33,   -32,   -34,   -35,   -33,   -40,
    -45,   -53,   -62,   -61,   -67,   -72,   -70,   -67,   -68,   -59,   -51,
    -47,   -38,   -31,   -20,   -13,   -13,   -13,   -14,   -17,   -21,   -22,
    -29,   -31,   -27,   -23,   -13,   -6,    4,     12,    17,    25,    23,
    23,    25,    30,    30,    32,    31,    28,    27,    18,    14,    13,
    3,     5,     7,     19,    35,    47,    61,    70,    84,    90,    95,
    92,    94,    89,    77,    71,    66,    59,    50,    51,    50,    51,
    53,    56,    65,    67,    69,    75,    74,    69,    67,    56,    51,
    44,    34,    25,    17,    10,    6,     7,     7,     4,     6,     -1,
    -1,    -2,    -9,    -9,    -9,    -7,    -5,    1,     -2,    -5,    -11,
    -19,   -27,   -39,   -38,   -44,   -45,   -48,   -48,   -54,   -59,   -53,
    -51,   -49,   -52,   -50,   -50,   -47,   -42,   -32,   -28,   -28,   -26,
    -27,   -34,   -40,   -40,   -36,   -37,   -37,   -34,   -37,   -36,   -41,
    -36,   -40,   -46,   -48,   -52,   -47,   -44,   -40,   -40,   -38,   -43,
    -43,   -47,   -59,   -62,   -59,   -59,   -51,   -41,   -29,   -19,   -8,
    -2,    1,     1,     -4,    -9,    -19,   -23,   -29,   -29,   -25,   -23,
    -15,   -7,    -2,    6,     8,     15,    27,    35,    43,    40,    36,
    35,    32,    25,    22,    19,    17,    13,    13,    21,    25,    28,
    36,    44,    50,    57,    56,    58,    59,    62,    66,    70,    73,
    69,    66,    66,    66,    62,    53,    48,    44,    38,    39,    44,
    52,    51,    55,    57,    52,    49,    44,    36,    26,    16,    13,
    13,    14,    14,    17,    14,    10,    6,     -5,    -14,   -23,   -24,
    -21,   -28,   -25,   -27,   -29,   -29,   -33,   -33,   -39,   -42,   -43,
    -41,   -40,   -43,   -46,   -45,   -43,   -42,   -41,   -41,   -46,   -46,
    -52,   -52,   -52,   -59,   -63,   -70,   -68,   -73,   -77,   -73,   -68,
    -66,   -62,   -64,   -66,   -58,   -54,   -51,   -52,   -48,   -47,   -43,
    -40,   -39,   -33,   -26,   -19,   -17,   -16,   -17,   -14,   -9,    -10,
    -3,    5,     5,     9,     5,     9,     8,     4,     3,     0,     -5,
    -10,   -3,    2,     8,     14,    16,    20,    27,    39,    40,    44,
    48,    43,    39,    34,    29,    22,    12,    8,     5,     0,     -2,
    -3,    5,     12,    16,    19,    22,    25,    28,    35,    28,    30,
    31,    30,    39,    43,    47,    43,    42,    41,    41,    41,    37,
    37,    39,    37,    38,    43,    44,    41,    43,    34,    28,    25,
    23,    30,    34,    32,    33,    29,    21,    18,    13,    14,    11,
    3,     2,     1,     3,     1,     -1,    0,     -3,    -1,    -3,    -8,
    -9,    -7,    -9,    -2,    0,     -3,    0,     1,     5,     0,     -1,
    -9,    -13,   -8,    -11,   -18,   -23,   -25,   -29,   -29,   -26,   -27,
    -29,   -25,   -24,   -23,   -18,   -19,   -18,   -17,   -21,   -22,   -30,
    -38,   -42,   -42,   -42,   -40,   -41,   -43,   -39,   -38,   -37,   -36,
    -33,   -31,   -28,   -27,   -18,   -15,   -7,    -8,    -8,    -1,    1,
    3,     -5,    0,     -4,    -5,    -4,    -8,    -10,   -14,   -21,   -24,
    -25,   -20,   -11,   -4,    3,     6,     13,    15,    12,    17,    16,
    17,    17,    15,    21,    28,    33,    36,    35,    35,    29,    31,
    29,    28,    23,    21,    14,    15,    27,    36,    40,    40,    43,
    51,    56,    62,    69,    77,    80,    88,    88,    88,    82,    76,
    63,    52,    44,    36,    26,    23,    25,    24,    27,    26,    31,
    21,    13,    8,     -8,    -8,    -11,   -14,   -18,   -28,   -28,   -30,
    -32,   -29,   -26,   -26,   -27,   -24,   -20,   -14,   -8,    -6,    -8,
    -5,    -10,   -14,   -18,   -26,   -34,   -36,   -38,   -44,   -51,   -57,
    -66,   -64,   -68,   -72,   -75,   -75,   -70,   -68,   -65,   -64,   -62,
    -68,   -63,   -60,   -65,   -65,   -69,   -68,   -67,   -57,   -46,   -41,
    -38,   -34,   -31,   -39,   -40,   -45,   -45,   -48,   -47,   -40,   -39,
    -32,   -26,   -24,   -14,   -9,    -7,    -3,    -2,    3,     4,     0,
    -2,    -2,    -2,    1,     3,     2,     3,     8,     13,    20,    25,
    29,    31,    26,    17,    11,    3,     -5,    2,     6,     9,     11,
    19,    26,    40,    51,    61,    60,    58,    61,    55,    55,    57,
    60,    54,    40,    42,    38,    34,    38,    37,    34,    32,    35,
    36,    35,    41,    36,    32,    29,    23,    22,    23,    22,    14,
    13,    19,    19,    20,    22,    22,    17,    13,    6,     9,     13,
    15,    17,    19,    11,    15,    8,     4,     6,     -1,    -3,    3,
    7,     11,    8,     10,    7,     6,     4,     -4,    -5,    -11,   -9,
    -16,   -14,   -14,   -16,   -16,   -22,   -19,   -19,   -13,   -9,    -4,
    1,     1,     2,     -6,    -14,   -25,   -32,   -41,   -46,   -50,   -49,
    -42,   -39,   -34,   -24,   -14,   -18,   -15,   -17,   -21,   -23,   -21,
    -19,   -21,   -20,   -19,   -20,   -19,   -16,   -17,   -19,   -20,   -20,
    -20,   -20,   -22,   -22,   -23,   -22,   -22,   -14,   -5,    5,     8,
    13,    16,    19,    23,    19,    21,    16,    16,    18,    13,    18,
    13,    15,    18,    12,    12,    6,     11,    8,     5,     5,     9,
    17,    14,    15,    14,    16,    14,    14,    12,    9,     7,     9,
    11,    13,    15,    15,    19,    17,    14,    8,     7,     4,     0,
    3,     8,     10,    7,     8,     19,    15,    19,    18,    19,    17,
    9,     14,    10,    4,     -3,    -11,   -19,   -25,   -31,   -35,   -36,
    -28,   -21,   -8,    5,     8,     11,    13,    7,     4,     1,     -7,
    -15,   -17,   -17,   -21,   -28,   -33,   -37,   -40,   -39,   -41,   -45,
    -46,   -44,   -40,   -41,   -36,   -31,   -41,   -40,   -42,   -44,   -47,
    -50,   -49,   -55,   -52,   -52,   -52,   -45,   -50,   -52,   -56,   -58,
    -60,   -69,   -75,   -82,   -86,   -91,   -87,   -80,   -80,   -72,   -58,
    -52,   -45,   -33,   -21,   -13,   -12,   -10,   -6,    -1,    -2,    -7,
    -7,    -5,    -6,    -3,    9,     15,    25,    36,    35,    39,    28,
    16,    11,    8,     11,    17,    27,    34,    36,    47,    49,    52,
    52,    42,    46,    49,    55,    65,    66,    67,    62,    56,    53,
    49,    50,    55,    53,    62,    69,    72,    73,    68,    61,    54,
    46,    43,    38,    34,    39,    43,    42,    39,    36,    31,    26,
    24,    17,    13,    14,    14,    21,    26,    29,    28,    26,    24,
    18,    19,    16,    11,    6,     2,     -2,    1,     3,     2,     -4,
    -3,    -1,    -3,    -2,    -2,    -5,    -3,    0,     3,     -3,    -6,
    -6,    -15,   -19,   -25,   -30,   -35,   -39,   -34,   -34,   -34,   -31,
    -17,   -17,   -8,    -2,    -2,    8,     14,    25,    24,    26,    22,
    16,    10,    2,     -3,    -5,    -12,   -15,   -11,   -14,   -16,   -17,
    -17,   -16,   -21,   -18,   -18,   -21,   -23,   -21,   -15,   -11,   -4,
    -2,    3,     8,     10,    17,    18,    25,    24,    24,    24,    21,
    24,    23,    24,    22,    23,    31,    39,    49,    58,    64,    67,
    63,    57,    53,    52,    44,    45,    43,    40,    45,    42,    49,
    50,    49,    52,    51,    48,    46,    38,    37,    35,    36,    37,
    37,    37,    44,    45,    47,    42,    42,    36,    35,    44,    40,
    40,    28,    24,    23,    18,    12,    9,     8,     10,    17,    17,
    18,    12,    5,     -2,    -12,   -16,   -20,   -27,   -29,   -29,   -26,
    -22,   -17,   -16,   -15,   -14,   -15,   -11,   -11,   -15,   -19,   -15,
    -20,   -22,   -24,   -37,   -52,   -62,   -63,   -68,   -64,   -59,   -51,
    -43,   -42,   -36,   -32,   -33,   -33,   -33,   -41,   -48,   -51,   -49,
    -48,   -47,   -42,   -45,   -42,   -41,   -40,   -39,   -33,   -29,   -25,
    -14,   -1,    -4,    -6,    -11,   -16,   -19,   -26,   -29,   -28,   -25,
    -17,   -10,   -1,    -1,    3,     7,     -1,    -3,    -8,    -18,   -20,
    -20,   -16,   -13,   -11,   -8,    0,     6,     8,     11,    14,    15,
    20,    26,    26,    26,    24,    23,    24,    30,    34,    41,    52,
    61,    70,    80,    85,    86,    89,    84,    87,    79,    67,    60,
    57,    59,    63,    68,    74,    78,    84,    89,    91,    87,    81,
    74,    69,    63,    59,    59,    56,    58,    60,    60,    59,    54,
    49,    41,    40,    34,    25,    19,    11,    1,     0,     -1,    -4,
    -8,    -12,   -12,   -17,   -22,   -31,   -44,   -54,   -58,   -68,   -74,
    -80,   -80,   -73,   -65,   -61,   -61,   -55,   -50,   -50,   -59,   -65,
    -69,   -73,   -73,   -78,   -79,   -83,   -87,   -87,   -88,   -94,   -103,
    -107,  -107,  -109,  -106,  -113,  -115,  -110,  -105,  -100,  -100,  -92,
    -78,   -62,   -49,   -39,   -35,   -27,   -26,   -25,   -24,   -22,   -23,
    -28,   -26,   -22,   -15,   -11,   -4,    4,     13,    21,    32,    31,
    28,    30,    30,    28,    23,    25,    23,    21,    25,    21,    26,
    27,    32,    40,    48,    53,    55,    54,    55,    55,    54,    48,
    44,    47,    48,    54,    60,    71,    79,    79,    74,    72,    59,
    48,    42,    32,    26,    22,    21,    23,    22,    31,    42,    44,
    41,    36,    30,    30,    33,    38,    35,    30,    28,    20,    15,
    8,     4,     6,     9,     16,    26,    27,    23,    19,    16,    10,
    4,     -4,    -12,   -12,   -16,   -16,   -19,   -24,   -23,   -23,   -31,
    -34,   -38,   -40,   -41,   -39,   -39,   -36,   -36,   -40,   -45,   -48,
    -53,   -66,   -73,   -76,   -76,   -78,   -75,   -71,   -65,   -59,   -58,
    -59,   -56,   -60,   -62,   -62,   -62,   -64,   -68,   -73,   -79,   -80,
    -85,   -87,   -85,   -78,   -72,   -66,   -56,   -48,   -42,   -37,   -35,
    -32,   -33,   -31,   -25,   -26,   -27,   -16,   -18,   -18,   -13,   -14,
    -17,   -22,   -24,   -25,   -23,   -19,   -14,   -12,   -11,   -7,    -4,
    -1,    2,     5,     8,     10,    10,    18,    28,    29,    25,    22,
    29,    21,    20,    21,    22,    30,    32,    41,    41,    45,    46,
    49,    52,    57,    59,    58,    52,    46,    47,    56,    58,    49,
    49,    46,    40,    33,    23,    14,    11,    16,    29,    34,    37,
    41,    42,    48,    54,    60,    61,    62,    62,    69,    79,    76,
    71,    72,    71,    64,    59,    54,    49,    40,    42,    34,    23,
    27,    18,    13,    9,     3,     -4,    -8,    -16,   -18,   -20,   -26,
    -28,   -30,   -32,   -29,   -32,   -35,   -39,   -41,   -38,   -34,   -31,
    -26,   -18,   -21,   -20,   -22,   -28,   -35,   -34,   -31,   -33,   -31,
    -31,   -40,   -43,   -45,   -53,   -64,   -67,   -74,   -75,   -74,   -75,
    -70,   -61,   -56,   -45,   -37,   -30,   -33,   -35,   -32,   -31,   -27,
    -25,   -19,   -17,   -14,   -9,    -4,    -1,    -3,    -4,    1,     8,
    14,    20,    24,    25,    18,    11,    7,     -3,    -9,    -3,    4,
    15,    30,    29,    33,    33,    36,    35,    31,    33,    34,    42,
    43,    42,    47,    49,    53,    61,    69,    73,    74,    79,    81,
    84,    76,    69,    62,    47,    39,    31,    19,    8,     2,     -6,
    -5,    -3,    -3,    -1,    1,     -2,    -3,    -3,    -6,    -12,   -13,
    -15,   -11,   -5,    -4,    -8,    -14,   -9,    -3,    0,     -3,    -4,
    0,     3,     0,     -6,    -14,   -23,   -33,   -38,   -41,   -38,   -38,
    -34,   -30,   -29,   -29,   -26,   -31,   -33,   -41,   -49,   -50,   -56,
    -57,   -58,   -54,   -46,   -39,   -39,   -34,   -31,   -28,   -30,   -30,
    -31,   -29,   -27,   -16,   -18,   -17,   -15,   -13,   -15,   -12,   -7,
    -11,   -9,    -9,    -4,    -11,   -7,    -7,    -8,    -9,    -10,   -7,
    -9,    1,     9,     15,    12,    19,    19,    18,    17,    13,    11,
    8,     6,     10,    17,    20,    26,    28,    33,    39,    30,    25,
    25,    18,    16,    21,    26,    30,    33,    32,    36,    42,    49,
    46,    39,    44,    44,    37,    35,    30,    24,    22,    23,    26,
    23,    25,    21,    24,    24,    22,
]


# https://github.com/tensorflow/tflite-micro/blob/main/tensorflow/lite/micro/examples/micro_speech/micro_features/no_micro_features_data.cc
NO_OUTPUT_FEATURES_INT8 = \
[ 103,   78,   64,   76,   75,   54,   53,   67,   77,   60,   56,   70,   76,   71,   68,   58,   74,   32,   23,   -2,
  -18,   11,   13,   15,    9,   20,    5,   -7,  -18,   -2,  -10,  -18,  -10,  -12,    9,    7,  -33,  -12,   -4,  -18,
   57,   17,   55,   62,   70,   45,   61,   37,   67,   52,   48,   47,   55,   46,   57,   47,   73,   17,   27,   20,
   19,    8,   15,   -6,   -1,   10,  -12,  -29,   -6,  -23,  -18,   -3,   -1,    5,    3,   -4,  -12,   -8,   -1,  -14,
   65,   48,   58,   43,   48,   19,   39,   39,   57,   57,   58,   55,   67,   58,   49,   50,   70,   27,    9,   16,
   37,    4,   25,    4,   11,    9,    7,  -33,   -7,  -12,    3,   -6,  -29,   -7,   -7,  -18,  -12,  -18,   -2,   -1,
    0,   31,   60,   -8,   51,   59,   70,   40,   71,   57,   52,   38,   66,   48,   17,    6,   59,    8,   15,    7,
   18,    4,   18,  -23,   -8,   -4,   -3,  -12,   -3,  -26,    1,   10,    2,  -29,  -29,  -37,   -7,   -4,    6,  -33,
   67,   44,   59,   -4,   64,   51,   68,   55,   74,    9,   40,   15,   57,   33,   60,   18,   40,   25,   27,  -20,
   25,  -16,    6,   17,  -10,  -12,  -23,  -43,  -23,  -23,  -29,  -37,   -4,  -16,  -16,  -60,  -20,  -23,  -10,  -29,
  -12,   15,   12,  -37,   27,   15,   61,   44,   50,    8,   48,   22,   49,  -18,   46,   33,   42,   34,   46,   -8,
    4,  -18,  -43,  -43,  -10,    1,  -10,  -16,  -10,  -77,  -16,  -33,   11,  -26,  -23,  -37,    0,   -8,  -16,  -29,
   42,   40,   68,   24,   47,   46,   53, -128,   30,    2,   42,   21,   21,   -4,   43,    2,   43,    5,   32,  -26,
    7,  -37,  -43,  -23,   -2,   -8,    2,  -37,  -50,  -60,   -1,   -7,  -33,  -77,   -6,  -18,  -16,  -50,  -12,  -33,
   53,    8,   52,   18,   51,   35,   69,   26,   44,    8,   27, -128,   21,  -33,   17,  -14,   38, -128,  -14,  -18,
   17,  -20,  -14,  -37,    8,  -60,  -33,  -33,  -33,  -43,  -12,  -29,  -12, -128,  -33,  -60,  -26,  -77,  -26,  -50,
   57,   29,   11,   30,   53,  -10,   45,   15,   18,  -10,   42,    2,   31,  -29,   10,   -4,   42,  -37,  -50, -128,
   -4,  -43,  -20,  -77,  -14,  -26,  -33, -128,  -12,  -43,   -8,  -33,  -33,  -60,  -43,  -77,  -12,  -60,  -26,  -50,
   40,  -23,   36,   35,   50,   -2,   37,   27,   26,  -77,   49,   -7,   28,  -43,    6,   11,   41,  -37,   33,  -26,
  -14,  -12,   -6,  -33,  -16,  -26,  -20,  -77,  -14,  -43,   -8,  -50,  -14,  -37,  -26,  -77,  -26,  -77,  -14,  -29,
   50,  -60,   25,  -26,   57,   38,   51,    1,   50,    1,   53,  -18,   30,  -23,   11, -128,   18,  -43,   20,  -26,
  -10,  -26,  -12, -128,  -50,  -60,  -37,  -77,  -20,  -43,  -50, -128,  -77, -128,  -77, -128,  -33,  -77,  -20,  -60,
   53,  -10,  -37, -128,   10, -128,   60,   18,   -8,   13,   37,  -37,    8, -128,    3,  -77,   32,  -29,   14,   10,
  -12,  -77,  -37,  -77,  -37,  -60,  -23, -128,  -43,  -50,  -16,  -77,   -6,  -33,    0,  -60,  -43, -128,  -16,  -60,
   20,   -2,   51,   19,   43,    2,   63,   20,   60,   -4,   42,  -50,    4, -128,    2,   -3,   32,  -33,  -26, -128,
  -18, -128,  -33,  -43,   -7,  -60,  -50,  -77,  -29,  -77,  -23, -128,  -16,  -26,  -23,  -60,  -37,  -77,  -37, -128,
   -1,  -33,   39,   48,   60,    5,    8, -128,   44,   11,    4,    0,   13,  -77,   -2,  -20,   33, -128,  -33,  -77,
   -8, -128,  -14, -128,  -33,  -18,  -12,  -77,  -16, -128,  -37, -128,  -12,  -77,  -60, -128,  -23,  -60,  -23, -128,
   36,  -50,   46, -128,   66,   39,   18,  -14,  -12,  -77,  -20,   -6,   24, -128,   28,  -26,   21,  -77,   -6,  -33,
    1, -128,  -43, -128,   -1,  -50,  -37, -128,  -50, -128,  -33, -128,  -18, -128,  -60,   -8,   -7,  -60,  -60, -128,
   -6,  -29,   20,   -1,   73,   40,  -43,  -14,   33,  -43,   33,   -3,   15,  -29,   29,  -43,   20,  -60,  -29, -128,
  -20,  -26,    4,  -77,  -16,  -60,  -33,  -50,  -29, -128,  -60, -128,  -77, -128,  -37,  -50,    0,  -77,  -33, -128,
   39,    8,   47,   10,   62,   16,    2,    1,   10,    7,    4,   -7,    6, -128,  -77,  -50,   19,  -77,  -77, -128,
  -77, -128,  -50, -128,  -60,  -60,  -33,  -50,  -37, -128, -128, -128,  -60, -128,  -37,  -60,  -18, -128,  -33,  -77,
   37,   23,   29, -128, -128, -128,  -16, -128,  -16,  -33,   21,  -20,   -8,  -60,   -2,  -60,   11, -128,  -50, -128,
  -50, -128,  -29,  -77,  -16, -128,  -26, -128,  -50,  -77,  -43, -128, -128, -128,  -50, -128,  -33, -128,  -33,  -50,
  -23, -128,   24, -128, -128,  -77,    4,  -23,   32, -128,    1,  -26,  -14, -128,   10,  -77,   -4, -128,    1,  -50,
   -8,  -77,  -77,  -77,  -23, -128,  -50,  -43,  -33, -128,  -43, -128, -128, -128,  -43, -128,  -50, -128, -128, -128,
   44,   15,   14, -128,    9, -128,   21,    0,   29,   -7,   18,   -7,   -7, -128,  -33,  -50,   14,  -60,  -60, -128,
  -60, -128,  -37, -128,  -43, -128,  -20, -128,  -50, -128,  -43,  -77,  -26, -128,  -60,  -50,  -60, -128,  -77, -128,
   -3, -128,   14,  -77,  -26,   11,   47,  -77,   -7,  -77,   45,  -43,  -12,   14,   37,  -60,   22,   -4,    5,  -77,
  -14, -128,  -10,  -60,   22,  -77,  -12,  -60,  -50, -128,  -60, -128,  -60, -128,  -43, -128,  -50, -128,  -77,  -50,
   27,  -37,   33, -128,    4,  -29,   -4,  -50,  -20, -128,    6,  -37,  -33, -128,  -50, -128,   34,   15,  -43, -128,
  -20,  -50,   -3,  -37,  -37,  -77,  -77, -128,  -43, -128, -128, -128,    4,  -26,  -26,   27,    0, -128,  -29,  -60,
   35,  -26,   23, -128,  -29,  -77,   19,   14,   28, -128,  -16,   -7,   31,   -1,   17,   11,   60,   44,    8,   11,
   18, -128,  -33,  -60,   -1, -128,  -43, -128,  -23, -128, -128, -128,   59,   43,   35,   61,   37,  -77,  -77,  -50,
  116,   88,   98,   69,   78,   53,   78,   40,   48,    7,   29,  -18,   -2,  -14,    5,   12,   65,   35,   31,  -12,
   33,   -2,   -6,   -1,   44,  -29,  -14,  -60,   -4,  -43,  -37, -128,   29,   18,   38,   51,    8, -128,  -12,  -37,
  115,   91,  113,   77,   89,   36,   60,   44,   49,   36,   27,   31,   63,   30,   62,   14,   55,   49,   42,    0,
   45,   17,  -23,    1,   30,  -37,  -50,  -77,   -8,  -60,    9,  -60,  -12,  -50,   13,    4,   23,   -6,   28,   13,
  107,   78,  101,   73,   89,   46,   63,   17,   34,  -43,   -6,   30,   67,   40,   77,   21,   53,   39,   38,   12,
   -6,    5,   28,   -2,   18,  -43,    0, -128,  -29,  -77,   18, -128,   -2,  -77,   39,   35,   38,   35,   50,   29,
  100,   70,   94,   69,   86,   50,   45,   38,   45,   12,   59,   64,   74,   37,   77,   45,   78,   61,    1,  -60,
   38,    6,   21,    7,    8,  -37,   -1,  -20,   48,  -37,    8,  -10,    8,   13,   45,   39,   38,   22,   49,   28,
   94,   63,   87,   66,   84, -128,   29,   20,   55,   51,   80,   36,   62,   29,   81,   72,   68,   37,   51,   27,
   54,   22,   16,  -29,    4,    9,   57,   15,   35,  -43,  -77,  -20,    4,    6,   37,   -1,   40,   31,   47,   14,
   89,   68,   96,   83,  111,   96,  115,   87,   99,   76,  105,   84,  105,   86,  112,   91,  108,   87,  110,   78,
   80,   46,   22,   74,   88,   72,  103,   86,   80,   68,   46,   24,   68,   48,   55,   36,  108,   90,   90,   63,
   83,   63,   87,   64,   90,   92,  113,   88,  102,   79,  109,   83,  100,   89,  109,   60,   56,   21,   75,   62,
   81,   45,   63,   73,   93,   66,   94,   80,   89,   81,   73,    3,   43,   60,  102,   70,   84,   67,   99,   73,
   78,   57,   79,   50,   93,   82,   98,   56,   77,   70,   91,   71,   85,   82,   86,   13,   45,  -18,   48,   40,
   53,   28,   85,   60,   65,   52,   86,   78,   76,   46,   73,   19,   35,   54,   75,   40,   71,   60,   82,   36,
   69,   42,   62,   40,   96,   70,   85,   77,   70,   68,  103,   84,   94,   69,   81, -128, -128, -128,  -43,  -37,
   40,    2,   48,   45,   76,   37,   65,   16,   43,   18,   57,   17,   27,   12,   71,   31,   53,   44,   89,   46,
   50,   33,   39,    8,   89,   57,   88,   69,   72,   63,  100,   68,   81,  -77,  -10, -128, -128, -128, -128, -128,
   13,  -77,    8,   27,   61,   28,   41, -128,  -37, -128,   29,  -37,   -8, -128,   47,  -43,   45,   27,   51,  -29,
   15,   39,   52,   30,   49,  -33,   65,   15,   76,   71,   90,   19,   46, -128,  -16, -128, -128, -128, -128, -128,
 -128, -128,  -18, -128,  -20, -128,   32, -128,   21,  -33,   45, -128, -128, -128,  -12, -128,   -6,  -16,   42, -128,
 -128, -128, -128, -128,   52,  -18,   69,  -43,   78,   55,   42, -128,  -29, -128, -128, -128, -128, -128, -128, -128,
 -128, -128, -128, -128,   13, -128,  -16, -128, -128, -128,    7, -128, -128, -128, -128, -128, -128, -128,   12, -128,
 -128, -128, -128,  -16,   59,  -50,   35, -128,   42,    0,   47, -128, -128, -128, -128, -128, -128, -128, -128, -128,
 -128, -128, -128, -128,  -33, -128,  -23, -128, -128, -128,  -23, -128, -128, -128, -128, -128, -128, -128,  -33, -128,
 -128, -128, -128, -128, -128, -128,   -8, -128,   36,  -50, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128,
 -128, -128, -128, -128, -128, -128,  -37, -128, -128,  -60,   -8, -128, -128, -128, -128, -128, -128, -128,   21, -128,
 -128, -128, -128, -128, -128, -128, -128, -128,  -12, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128,
 -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128,  -60, -128, -128, -128,  -29, -128,
 -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128,
 -128, -128, -128, -128, -128, -128, -128, -128,  -29, -128, -128, -128, -128, -128, -128, -128, -128, -128,  -50, -128,
 -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128,
 -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128,
 -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128,
 -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128,
 -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128,
 -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128,
 -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128,
 -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128,
 -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128,
 -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128,
 -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128,
 -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128,
 -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128,
 -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128,
 -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128,
 -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128,
 -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128,
 -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128,
 -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128,
 -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128, -128]